################################################################################
#
# Makefile  : bmeps
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/09/14 16:14:45 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

USE_XEMACS_DIR = 1


USE_GNUW32 = 1
USE_ZLIB = 1
USE_PNG = 1
USE_JPEG = 1
USE_NETPBM = 1
USE_BMEPS = 1
MAKE_BMEPS = 1

!include <msvc/common.mak>

DEFS= $(DEFS) -DPNG_INTERNAL

programs = $(bmepsdll) $(objdir)\bmeps.exe
libfiles = $(bmepslib)
includefiles = bmeps.h
objects = \
	$(objdir)\bmeps.obj \
	$(objdir)\bmepsoe.obj \
	$(objdir)\jpgeps.obj \
	$(objdir)\pngeps.obj \
	$(objdir)\pnmeps.obj

default: all

all: $(objdir) $(libfiles) $(programs)

lib: $(objdir) $(libfiles)

!ifdef BMEPS_DLL

DEFS = $(DEFS) -DMAKE_BMEPS_DLL

$(bmepslib): $(objdir) $(objects)
	$(archive) /DEF $(objects)

$(bmepsdll): $(bmepslib) $(objects) $(objdir)\bmeps.res $(jpeglib) $(pnglib) $(zliblib) $(netpbmlib) $(gnuw32lib)
	$(link_dll) $(**) $(bmepslib:.lib=.exp) $(conlibs)
!else

$(bmepslib): $(objects) $(jpeglib) $(pnglib) $(zliblib) $(netpbmlib) $(gnuw32lib)
	$(archive) $(**)
!endif

$(objdir)\bmeps.exe: $(objdir)\bmepsm.obj $(bmepslib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

!include <msvc/config.mak>
!include <msvc/install.mak>

install:: install-exec

docsubdir = bmeps

install-doc::
	@if NOT EXIST "$(htmldocdir)" \
	    $(mkdir) "$(htmldocdir)"
	@$(copy) DOCU\*.html "$(htmldocdir)"
	@$(copydir) DOCU\EXAMPLES "$(htmldocdir)\EXAMPLES"
	@if NOT EXIST "$(pdfdocdir)" \
	    $(mkdir) "$(pdfdocdir)"
	@$(copy) DOCU\*.pdf "$(pdfdocdir)"


!include <msvc/clean.mak>

!include <msvc/rdepend.mak>
!include "./depend.mak"

# 
# Local Variables:
# mode: makefile
# End:
