################################################################################
#
# Makefile  : LibGD
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/09/17 11:17:58 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

USE_XEMACS_DIR = 1

USE_GNUW32 = 1
USE_PNG = 1
USE_JPEG = 1
USE_FREETYPE2 = 1
USE_ZLIB = 1
USE_GD = 1
USE_XPM = 1
MAKE_GD = 1

!include <msvc/common.mak>

programs = $(gddll)
manfiles =
includefiles = gd.h gdconf.h
libfiles = $(gdlib)
installdirs = $(installdirs) "$(man3dir)" "$(man5dir)"
objects = \
	$(objdir)\gd.obj		\
	$(objdir)\gdfx.obj		\
	$(objdir)\gd_gd.obj		\
	$(objdir)\gd_gd2.obj		\
	$(objdir)\gd_io.obj		\
	$(objdir)\gd_io_dp.obj		\
	$(objdir)\gd_io_file.obj	\
	$(objdir)\gd_io_ss.obj		\
	$(objdir)\gd_jpeg.obj		\
	$(objdir)\gd_png.obj		\
	$(objdir)\gd_ss.obj		\
	$(objdir)\gd_topal.obj		\
	$(objdir)\gd_wbmp.obj		\
	$(objdir)\gdcache.obj		\
	$(objdir)\gdfontg.obj		\
	$(objdir)\gdfontl.obj		\
	$(objdir)\gdfontmb.obj		\
	$(objdir)\gdfonts.obj		\
	$(objdir)\gdfontt.obj		\
	$(objdir)\gdft.obj		\
	$(objdir)\gdhelpers.obj		\
	$(objdir)\gdkanji.obj		\
	$(objdir)\gdtables.obj		\
	$(objdir)\gdxpm.obj		\
	$(objdir)\wbmp.obj

default: all

all: $(objdir) $(gd)

lib: $(objdir) $(gd)

DEFS = $(DEFS) -DHAVE_CONFIG_H

!ifdef GD_DLL
DEFS= $(DEFS) -DMAKE_GD_DLL

$(gdlib): $(objdir) $(objects)
	$(archive) /DEF $(objects)

$(gddll): $(objects) $(zliblib) $(objdir)\libgd.res $(gnuw32lib) $(pnglib) $(jpeglib) $(freetype2lib) $(xpmlib)
	$(link_dll) $(**) $(gdlib:.lib=.exp) $(conlibs)
!else
$(gdlib): $(objects)
	$(archive) $(**)
!endif

# $(objdir)\gdtest.exe: $(objdir)\gdtest.obj $(gdlib)
# 	$(link) /OUT:$@ $(objdir)\gdtest.obj $(gdlib) $(conlibs)

# $(objdir)\gdtest.obj: gdtest.c
# 	$(compile) -UBUILD_GD_DLL gdtest.c 

# test: $(objdir)\gdtest.exe
# 	.\$(objdir)\gdtest.exe

!include <msvc/config.mak>
!include <msvc/install.mak>

!include <msvc/clean.mak>

clean::
	-@$(del) gdout.gd

!include <msvc/rdepend.mak>
!include "./depend.mak"

# 
# Local Variables:
# mode: makefile
# End:
