################################################################################
#
# Makefile  : XPM
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/05/18 14:48:57 popineau>
#
################################################################################
root_srcdir = ..\..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

USE_XEMACS_DIR = 1


NETPBM = 1
USE_XPM = 1
MAKE_XPM = 1

USE_XEMACS_DIR = 1

!include <msvc/common.mak>

DEFS= $(DEFS) -DFOR_MSW

# FIXME: bug in the VC7 compiler !
CFLAGS = $(CFLAGS) -Og-

programs = $(xpmdll)
libfiles = $(xpmlib)
includefiles = xpm.h
objects = $(objdir)\data.obj $(objdir)\create.obj $(objdir)\misc.obj \
	$(objdir)\rgb.obj $(objdir)\scan.obj $(objdir)\parse.obj \
	$(objdir)\hashtab.obj $(objdir)\WrFFrI.obj                \
	$(objdir)\RdFToI.obj $(objdir)\CrIFrDat.obj $(objdir)\CrDatFrI.obj \
	$(objdir)\CrIFrBuf.obj $(objdir)\CrBufFrI.obj \
	$(objdir)\RdFToDat.obj $(objdir)\WrFFrDat.obj \
	$(objdir)\Attrib.obj $(objdir)\Image.obj $(objdir)\Info.obj \
	$(objdir)\RdFToBuf.obj $(objdir)\WrFFrBuf.obj \
	$(objdir)\simx.obj

default: all

all: $(objdir) $(xpm)

lib: $(objdir) $(xpm)

!ifdef XPM_DLL
DEFS = $(DEFS) -DMAKE_XPM_DLL

$(xpmlib): $(objects)
	$(archive) /DEF $(objects)

$(xpmdll): $(objects)
	$(link_dll) $(**) $(xpmlib:.lib=.exp) gdi32.lib $(conlibs)
!else
$(xpmlib): $(objects)
	$(archive) gdi32.lib $(objects)
!endif


..\X11\xpm.h: xpm.h
	-@$(mkdir) ..\X11 $(redir_stderr)
	$(copy) xpm.h ..\X11

!include <msvc/config.mak>
!include <msvc/install.mak>

install:: install-exec install-lib install-include

!include <msvc/clean.mak>

!include <msvc/rdepend.mak>
!include "./depend.mak"

# 
# Local Variables:
# mode: makefile
# End: