/*
 * Copyright (c) 2000, Red Hat, Inc.
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     A copy of the GNU General Public License can be found at
 *     http://www.gnu.org/
 *
 * Written by DJ Delorie <dj@cygnus.com>
 *
 */

#pragma once

/* Download files from the Internet.  These pop up a progress dialog;
   don't forget to dismiss it when you're done downloading for a while */

#ifdef __cplusplus
extern "C" {
#endif

typedef void (__cdecl * fpLog)(char *, ...);
typedef void (__cdecl * fpProgress)(unsigned long, unsigned long);

typedef enum {
		NetIOIE5,
		NetIODirect,
		NetIOLibWWW,
		NetIOProxy,
		NetIOUnavail
} NetIOType;
				
__declspec(dllexport) char  *get_url_to_string (char *_url, 
						fpLog log, fpProgress progress,
						HINSTANCE h, int method, 
						char *proxy_host, int proxy_port);
__declspec(dllexport) int    get_url_to_file (char *_url, char *_filename, int expected_size, 
					      fpLog log, fpProgress progress,
					      HINSTANCE h, int method, 
					      char *proxy_host, int proxy_port);
//void   dismiss_url_status_dialog ();

#ifdef __cplusplus
}
#endif
