################################################################################
#
# Makefile  : Gnu Win32
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/09/17 11:21:16 popineau>
#
################################################################################
root_srcdir=..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

USE_GNUW32 = 1
MAKE_GNUW32 = 1

!include <msvc/common.mak>

# {$(root_srcdir)/texk/kpathsea}.c{$(objdir)}.obj:
#	$(compile) $<

DEFS = -I. $(DEFS) -DHAVE_CONFIG_H -DPROTOTYPES -I$(kpathseadir)\..

objects = \
#	$(objdir)\dllmain.obj	\
	$(objdir)\basename.obj	\
	$(objdir)\c-stack.obj	\
	$(objdir)\closeout.obj	\
	$(objdir)\cmpbuf.obj	\
	$(objdir)\error.obj	\
	$(objdir)\exclude.obj	\
	$(objdir)\exitfail.obj	\
	$(objdir)\filename.obj 	\
	$(objdir)\fnmatch.obj 	\
	$(objdir)\freesoft.obj 	\
	$(objdir)\getline.obj	\
	$(objdir)\getopt.obj	\
	$(objdir)\getopt1.obj	\
	$(objdir)\hard-locale.obj     	\
	$(objdir)\home.obj     	\
	$(objdir)\isdir.obj	\
	$(objdir)\lookcmd.obj	\
	$(objdir)\mempcpy.obj	\
	$(objdir)\mkstemp.obj	\
	$(objdir)\obstack.obj	\
	$(objdir)\offtostr.obj	\
	$(objdir)\posixver.obj	\
	$(objdir)\popen.obj    	\
	$(objdir)\quotearg.obj 	\
	$(objdir)\quotesys.obj 	\
	$(objdir)\savedir.obj	\
	$(objdir)\setmode.obj	\
	$(objdir)\stat.obj     	\
	$(objdir)\stpcpy.obj   	\
	$(objdir)\string.obj   	\
	$(objdir)\strverscmp.obj \
	$(objdir)\substring.obj \
	$(objdir)\system.obj	\
	$(objdir)\time.obj     	\
	$(objdir)\user.obj     	\
	$(objdir)\utils.obj     	\
	$(objdir)\xmalloc.obj	\
	$(objdir)\strftime.obj	\
	$(objdir)\strtoumax.obj	\
	$(objdir)\xexit.obj	\
	$(objdir)\xstrtol.obj	\
	$(objdir)\xstrtoumax.obj	\
	$(objdir)\volume.obj

programs = $(gnuw32dll)
libfiles = $(gnuw32lib)
includefiles = win32lib.h

default: all

all: $(objdir) $(gnuw32)

lib: $(objdir) $(gnuw32lib)

!ifdef GNUW32_DLL
DEFS= $(DEFS) -DMAKE_GNUW32_DLL

$(gnuw32lib): $(objdir) $(objects)
	$(archive) /DEF $(objects)

$(gnuw32dll): $(objects) $(gnuw32lib) $(objdir)\libgnuw32.res
	$(link_dll) $(**) $(gnuw32lib:.lib=.exp) $(conlibs) msvcprt.lib
!else
$(gnuw32lib): $(objdir) $(objects)
	$(archive) $(objects) msvcprt.lib
!endif

check: $(objdir)\system_popen_check.exe

$(objdir)\system_popen_check.exe: $(objdir)\system_popen_check.obj $(gnuw32lib)
	$(link) $(**) $(conlibs)

!include <msvc/config.mak>
!include <msvc/install.mak>

!include <msvc/clean.mak>
!include <msvc/rdepend.mak>
!include "./depend.mak"

# 
# Local Variables:
# mode: makefile
# End: