################################################################################
#
# Makefile  : XPdf/XPdf subdirectory
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/07/06 10:16:06 popineau>
#
################################################################################
root_srcdir = ..\..\..
INCLUDE=$(INCLUDE);$(root_srcdir)


USE_XPDF = 1
MAKE_XPDF = 1
USE_ZLIB = 1
USE_GNUW32 = 1

!include <msvc/common.mak>

# goodir = ..\goo
# goolib = $(goodir)\$(objdir)\libGoo.lib
{..\goo}.c{$(objdir)}.obj:
	$(compile) $<

{..\goo}.cc{$(objdir)}.obj:
	$(compile) /Tp$<

{..\FoFi}.cc{$(objdir)}.obj:
	$(compile) /Tp$<

DEFS = -I. -I.. $(DEFS) -I$(goodir)	              \
	-DUSE_ZLIB		                      \
	-DHAVE_POPEN -DUSE_GZIP			      \
	-DA4_PAPER -DJAPANESE_SUPPORT		      \
	-DCHINESE_GB_SUPPORT -DCHINESE_CNS_SUPPORT    \
	-DOPI_SUPPORT 

!ifdef XPDF_DLL
DEFS = $(DEFS) -DMAKE_XPDF_DLL
!endif

xpdflib_objs = \
# GOO objects
	$(objdir)\GHash.obj	\
	$(objdir)\GList.obj	\
	$(objdir)\GString.obj	\
	$(objdir)\gmempp.obj	\
	$(objdir)\gfile.obj	\
	$(objdir)\gmem.obj	\
	$(objdir)\parseargs.obj \
# FOFI objects
	$(objdir)\FoFiBase.obj		\
	$(objdir)\FoFiEncodings.obj	\
	$(objdir)\FoFiTrueType.obj	\
	$(objdir)\FoFiType1.obj		\
	$(objdir)\FoFiType1C.obj		\
# XPDF objects
	$(objdir)\Annot.obj			\
	$(objdir)\Array.obj			\
	$(objdir)\BuiltinFont.obj		\
	$(objdir)\BuiltinFontTables.obj		\
	$(objdir)\Catalog.obj			\
	$(objdir)\CharCodeToUnicode.obj		\
	$(objdir)\CMap.obj			\
	$(objdir)\Decrypt.obj			\
	$(objdir)\Dict.obj			\
	$(objdir)\Error.obj			\
	$(objdir)\FontEncodingTables.obj	\
	$(objdir)\Function.obj			\
	$(objdir)\Gfx.obj			\
	$(objdir)\GfxFont.obj			\
	$(objdir)\GfxState.obj			\
	$(objdir)\GlobalParams.obj		\
	$(objdir)\JArithmeticDecoder.obj	\
	$(objdir)\JBIG2Stream.obj		\
	$(objdir)\JPXStream.obj			\
	$(objdir)\Lexer.obj			\
	$(objdir)\Link.obj			\
	$(objdir)\NameToCharCode.obj		\
	$(objdir)\Object.obj			\
	$(objdir)\Outline.obj			\
	$(objdir)\OutputDev.obj			\
	$(objdir)\Page.obj			\
	$(objdir)\Parser.obj			\
	$(objdir)\PDFDoc.obj			\
	$(objdir)\PDFDocEncoding.obj		\
	$(objdir)\PSTokenizer.obj		\
	$(objdir)\Stream.obj			\
	$(objdir)\UnicodeMap.obj		\
	$(objdir)\UnicodeTypeTable.obj		\
	$(objdir)\XRef.obj

pdftotext_objs =  $(objdir)\TextOutputDev.obj \
	$(objdir)\pdftotext.obj

pdftops_objs = $(objdir)\PSOutputDev.obj   \
	 $(objdir)\pdftops.obj 

pdfinfo_objs = $(objdir)\pdfinfo.obj 

pdffonts_objs = $(objdir)\pdffonts.obj 

pdfimages_objs = $(objdir)\ImageOutputDev.obj $(objdir)\pdfimages.obj 

pdftopbm_objs = $(objdir)\PBMOutputDev.obj $(objdir)\pdftopbm.obj 

programs = \
	$(xpdfdll) \
!ifndef STANDALONE
	$(objdir)\pdftops.exe \
	$(objdir)\pdftotext.exe \
	$(objdir)\pdfinfo.exe \
	$(objdir)\pdfimages.exe \
	$(objdir)\pdffonts.exe	\
#	$(objdir)\pdftopbm.exe
!endif

libfiles = $(xpdflib)

default: all

all: $(objdir) $(xpdf) $(programs)

lib: $(objdir) $(xpdflib)

!ifdef XPDF_DLL
$(xpdflib): $(objdir) $(xpdflib_objs) libxpdf.def
	$(archive) /DEF $(xpdflib_objs)

$(xpdfdll): $(xpdflib_objs) $(xpdflib) $(objdir)\libxpdf.res $(gnuw32lib)
	$(link_dll) $(**)  $(xpdflib:.lib=.exp) $(conlibs)

!else
# $(xpdflib): $(objdir) $(xpdflib_objs) $(goolib) $(zliblib)
#	$(archive) $(xpdflib_objs) $(goolib) $(zliblib)
$(xpdflib): $(objdir) $(xpdflib_objs)
	$(archive) $(xpdflib_objs)
!endif

#$(goolib):
#	pushd $(goodir) & $(make) lib & popd

$(objdir)\pdftops.exe: $(pdftops_objs) $(xpdflib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

$(objdir)\pdftotext.exe: $(pdftotext_objs) $(xpdflib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

$(objdir)\pdfinfo.exe: $(pdfinfo_objs) $(xpdflib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

$(objdir)\pdffonts.exe: $(pdffonts_objs) $(xpdflib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

$(objdir)\pdftopbm.exe: $(pdftopbm_objs) $(xpdflib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

$(objdir)\pdfimages.exe: $(pdfimages_objs) $(xpdflib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

$(objdir)\PSOutputDev.obj: PSOutputdev.cc
	$(compile) -UMAKE_XPDF_DLL /TpPSOutputdev.cc

$(objdir)\pdftops.obj: pdftops.cc
	$(compile) -UMAKE_XPDF_DLL /Tppdftops.cc

$(objdir)\TextOutputDev.obj: TextOutputDev.cc
	$(compile) -UMAKE_XPDF_DLL /TpTextOutputDev.cc

$(objdir)\pdftotext.obj: pdftotext.cc
	$(compile) -UMAKE_XPDF_DLL /Tppdftotext.cc

$(objdir)\pdfinfo.obj: pdfinfo.cc
	$(compile) -UMAKE_XPDF_DLL /Tppdfinfo.cc

$(objdir)\pdftopbm.obj: pdftopbm.cc
	$(compile) -UMAKE_XPDF_DLL /Tppdftopbm.cc

$(objdir)\pdffonts.obj: pdffonts.cc
	$(compile) -UMAKE_XPDF_DLL /Tppdffonts.cc

$(objdir)\pdfimages.obj: pdfimages.cc
	$(compile) -UMAKE_XPDF_DLL /Tppdfimages.cc

..\aconf.h: ..\aconf.h.in
	$(perl) $(win32perldir)\configure-cauto.pl ..\aconf.h.in ..\aconf.h

!include <msvc/config.mak>
!include <msvc/install.mak>

install:: install-exec # install-lib install-include

!include <msvc/clean.mak>
!include <msvc/rdepend.mak>

!include "./depend.mak"

#
# Local Variables:
# mode: makefile
# End:
