package cauto;

use Exporter ();

@ISA = qw(Exporter);
@EXPORT_OK = qw(&configure_cauto $kpsever $web2cver); 

#
# Search for $key = $val in $file
#
sub look_for
{
    my($key, $file) = @_;
    my($ret);
    open FIN, "<$file";
    while (<FIN>) {
	if ($_ =~ m/^\s*$key\s*=\s*(\S*)/) {
	    $ret = $1;
	    last;
	}
	elsif (/^\#define\s+$key\s+(\S*)/) {
	  $ret = $1;
	  last;
	}
    }
    close FIN;
    $ret =~ s/^'(.*)'$/\1/;
    return $ret;
}

%excludes = (
	     'libintl.h' => 1
	     );
# List of features useful from autoconf that Win32 has.
%have_features = (
		  'A4' => 1,
		  'A4_PAPER' => 1,
		  'APPDEFDIR' => 'no',
		  'ASM_NEEDS_UNDERSCORE' => 'no',
		  'BMBYTES' => 4,
		  'BMTYPE' => 'int',
		  'BROKEN_STRTOD' => 'no',
		  'BUTTONS' => 'no',
		  'CLOSEDIR_VOID' => 'no',
		  'CRAY_STACKSEG_END' => 'no',
		  'C_ALLOCA' => 'no',
		  'C_GETLOADAVG' => 'no',
		  'DEBUG' => 'no',
		  'DEFAULT_CHARSET' => '"iso8859-1"',
		  'DEFAULT_DIFF_PROGRAM' => '"diff.exe"',
		  'DEFAULT_EDITOR_PROGRAM' => '"notepad.exe"',
		  'DGUX' => 'no',
		  'D_INO_IN_DIRENT' => 'no',
		  'EDITOR' => '"notepad %s"',
		  'ENABLE_DEBUG' => 1,
		  'ENABLE_IPV6' => 'no',
		  'ENABLE_NLS' => 'no',
		  'ENV_SELFAUTODIR' => 'no',
		  'ENV_SELFAUTOLOC' => 'no',
		  'ENV_SELFAUTOPARENT' => 'no',
		  'EPSFWIN' => 'no',
		  'FILESYSTEM_ACCEPTS_DRIVE_LETTER_PREFIX' => 1,
		  'FILESYSTEM_BACKSLASH_IS_FILE_NAME_SEPARATOR' => 1,
		  'FREETYPE2' => 'no',
		  'FUNNY_CORE_DUMP' => 'no',
		  'GETCWD_FORKS' => 'no',
		  'GETGROUPS_T' => 'no',
		  'GETLOADAVG_PRIVILEGED' => 'no',
		  'GNU_PACKAGE' => 'no',
		  'GREP' => 'no',
		  'GREY' => 1,
		  'GS_PATH' => 'no',
		  'GWINSZ_IN_SYS_IOCTL' => 'no',
		  'GWINSZ_IN_SYS_PTY' => 'no',
		  'HAVE_ACCESS' => 'no',
		  'HAVE_ADDRESSABLE_VA_LIST' => 'no',
		  'HAVE_ALLOCA' => 1,
		  'HAVE_ALLOCA_H' => 'no',
		  'HAVE_ARGZ_H' => 'no',
		  'HAVE_ARPA_INET_H' => 'no',
		  'HAVE_ASPRINTF' => 'no',
		  'HAVE_ASSERT_H' => 1,
		  'HAVE_ATEXIT' => 1,
		  'HAVE_AUTO_CFFTOT1' => 1,
		  'HAVE_AUTO_T1DOTLESSJ' => 1,
		  'HAVE_BASENAME' => 1,
		  'HAVE_BCMP' => 'no',
		  'HAVE_BCOPY' => 'no',
		  'HAVE_BSTRING_H' => 'no',
		  'HAVE_BTOWC' => 'no',
		  'HAVE_BUILTIN_MD5' => 1,
		  'HAVE_BYTEORDER_H' => 'no',
		  'HAVE_BZERO' => 'no',
		  'HAVE_CATGETS' => 'no',
		  'HAVE_CC_CONCAT' => 'no',
		  'HAVE_CHROOT' => 'no',
		  'HAVE_CLOCK_GETTIME' => 'no',
		  'HAVE_CLOSEDIR' => 'no',
		  'HAVE_CRYPT' => 'no',
		  'HAVE_CTIME' => 'yes',
		  'HAVE_CTYPE_H' => 'no',
		  'HAVE_C_BACKSLASH_A' => 'no',
		  'HAVE_C_LINE' => 'no',
		  'HAVE_C_VARARRAYS' => 'no',
		  'HAVE_DCGETTEXT' => 'no',
		  'HAVE_DECL_CLEARERR_UNLOCKED' => 'no',
		  'HAVE_DECL_FEOF_UNLOCKED' => 'no',
		  'HAVE_DECL_FERROR_UNLOCKED' => 'no',
		  'HAVE_DECL_FFLUSH_UNLOCKED' => 'no',
		  'HAVE_DECL_FGETS_UNLOCKED' => 'no',
		  'HAVE_DECL_FPUTC_UNLOCKED' => 'no',
		  'HAVE_DECL_FPUTS_UNLOCKED' => 'no',
		  'HAVE_DECL_FREAD_UNLOCKED' => 'no',
		  'HAVE_DECL_FWRITE_UNLOCKED' => 'no',
		  'HAVE_DECL_GETCHAR_UNLOCKED' => 'no',
		  'HAVE_DECL_GETC_UNLOCKED' => 'no',
		  'HAVE_DECL_GETENV' => 1,
		  'HAVE_DECL_MEMCHR' => 1,
		  'HAVE_DECL_PUTCHAR_UNLOCKED' => 'no',
		  'HAVE_DECL_PUTC_UNLOCKED' => 'no',
		  'HAVE_DECL_STRCASECMP' => 1,
		  'HAVE_DECL_STRCOLL' => 1,
		  'HAVE_DECL_STRERROR' => 1,
		  'HAVE_DECL_STRERROR_R' => 'no',
		  'HAVE_DECL_STRNCASECMP' => 1,
		  'HAVE_DECL_STRTOIMAX' => 'no',
		  'HAVE_DECL_STRTOL' => 1,
		  'HAVE_DECL_STRTOLL' => 1,
		  'HAVE_DECL_STRTOUL' => 1,
		  'HAVE_DECL_STRTOULL' => 1,
		  'HAVE_DECL_STRTOUMAX' => 1,
		  'HAVE_DECL__SNPRINTF' => 1,
		  'HAVE_DECL__SNWPRINTF' => 1,
		  'HAVE_DIRACCESS' => 'no',
		  'HAVE_DIRENT_H' => 'no',
		  'HAVE_DLFCN_H' => 'no',
		  'HAVE_DONE_WORKING_MALLOC_CHECK' => 1,
		  'HAVE_DONE_WORKING_REALLOC_CHECK' => 1,
		  'HAVE_DOPRNT' => 'no',
		  'HAVE_DOS_FILE_CONTENTS' => 1,
		  'HAVE_DOS_FILE_NAMES' => 0,
		  'HAVE_DUP2' => 1,
		  'HAVE_ENDGRENT' => 'no',
		  'HAVE_ENDPWENT' => 'no',
		  'HAVE_ERRNO_H' => 1,
		  'HAVE_FAKE_INT_TYPES' => 1,
		  'HAVE_FCHDIR' => 'no',
		  'HAVE_FCHMOD' => 'no',
		  'HAVE_FCNTL_H' => 'no',
		  'HAVE_FEOF_UNLOCKED' => 'no',
		  'HAVE_FGETS_UNLOCKED' => 'no',
		  'HAVE_FILENO' => 1,
		  'HAVE_FLOAT_H' => 1,
		  'HAVE_FLOCK' => 'no',
		  'HAVE_FLOOR' => 1,
		  'HAVE_FNMATCH' => 1,
		  'HAVE_FORK' => 'no',
		  'HAVE_FREETYPE_FREETYPE_H' => 'no',
		  'HAVE_FREETYPE_H' => 'no',
		  'HAVE_FSEEK64' => 'no',
		  'HAVE_FSEEKO' => 'no',
		  'HAVE_FSYNC' => 'no',
		  'HAVE_FT2' => 1,
		  'HAVE_FTIME' => 1,
		  'HAVE_FTRUNCATE' => 'no',
		  'HAVE_FWPRINTF' => 1,
		  'HAVE_GDIMAGECREATETRUECOLOR' => 1,
		  'HAVE_GDIMAGEPNGEX' => 1,
		  'HAVE_GDIMAGETRUECOLORTOPALETTE' => 1,
		  'HAVE_GD_H' => 1,
		  'HAVE_GETADDRINFO' => 'no',
		  'HAVE_GETADDRINFO_AI_ADDRCONFIG' => 'no',
		  'HAVE_GETADDRINFO_AI_ALL' => 'no',
		  'HAVE_GETADDRINFO_AI_V4MAPPED' => 'no',
		  'HAVE_GETCWD' => 'no',
		  'HAVE_GETC_UNLOCKED' => 'no',
		  'HAVE_GETDELIM' => 'no',
		  'HAVE_GETEGID' => 'no',
		  'HAVE_GETENV' => 1,
		  'HAVE_GETEUID' => 'no',
		  'HAVE_GETGID' => 'no',
		  'HAVE_GETGROUPS' => 'no',
		  'HAVE_GETHOSTBYADDR' => 1,
		  'HAVE_GETHOSTBYNAME' => 1,
		  'HAVE_GETHOSTNAME' => 1,
		  'HAVE_GETLOADAVG' => 'no',
		  'HAVE_GETOPT' => 'no',
		  'HAVE_GETPAGESIZE' => 'no',
		  'HAVE_GETTEXT' => 'no',
		  'HAVE_GETTIMEOFDAY' => 'no',
		  'HAVE_GETUID' => 'no',
		  'HAVE_GETUSERSHELL' => 'no',
		  'HAVE_GETWD' => 1,
		  'HAVE_HAVE_STRUCT_SOCKADDR_IN6' => 1,
		  'HAVE_ICONV' => 'no',
		  'HAVE_ICONV_H' => 'no',
		  'HAVE_ICONV_T_DEF' => 'no',
		  'HAVE_IEEEFP_H' => 'no',
		  'HAVE_INDEX' => 1,
		  'HAVE_INET_NTOA' => 1,
		  'HAVE_INITGROUPS' => 'no',
		  'HAVE_INTMAX_T' => 'no',
		  'HAVE_INTTYPES_H' => 1,
		  'HAVE_INTTYPES_H_WITH_UINTMAX' => 1,
		  'HAVE_IO_H' => 1,
		  'HAVE_ISASCII' => 1,
		  'HAVE_ISATTY' => 1,
		  'HAVE_ISBLANK' => 'no',
		  'HAVE_ISINF' => 'no',
		  'HAVE_ISWPRINT' => 1,
		  'HAVE_ITOA' => 1,
		  'HAVE_KPATHSEA' => 1,
		  'HAVE_KPATHSEA_KPATHSEA_H' => 1,
		  'HAVE_KPSE_ENC_FORMATS' => 1,
		  'HAVE_KPSE_FORMATS' => 1,
		  'HAVE_KPSE_OPENTYPE_FORMAT' => 1,
		  'HAVE_LANGINFO_CODESET' => 'no',
		  'HAVE_LC_MESSAGES' => 'no',
		  'HAVE_LIBBSD' => 'no',
		  'HAVE_LIBCRYPT' => 'no',
		  'HAVE_LIBDBM' => 'no',
		  'HAVE_LIBDGC' => 'no',
		  'HAVE_LIBFREETYPE' => 1,
		  'HAVE_LIBGD' => 1,
		  'HAVE_LIBI' => 'no',
		  'HAVE_LIBINTL_H' => 'no',
		  'HAVE_LIBJPEG' => 1,
		  'HAVE_LIBKPATHSEA' => 1,
		  'HAVE_LIBKSTAT' => 'no',
		  'HAVE_LIBM' => 'no',
		  'HAVE_LIBN' => 'no',
		  'HAVE_LIBNDBM' => 'no',
		  'HAVE_LIBOS' => 'no',
		  'HAVE_LIBPAPER' => 'no',
		  'HAVE_LIBPCRE' => 'no',
		  'HAVE_LIBPNG' => 1,
		  'HAVE_LIBPNG_PNG_H' => 1,
		  'HAVE_LIBPOSIX' => 'no',
		  'HAVE_LIBREGEX' => 1,
		  'HAVE_LIBSEC' => 'no',
		  'HAVE_LIBSHADOW' => 'no',
		  'HAVE_LIBSUN' => 'no',
		  'HAVE_LIBTERMCAP' => 'no',
		  'HAVE_LIBTERMLIB' => 'no',
		  'HAVE_LIBWWW' => 'no',
		  'HAVE_LIBWWW_H' => 'no',
		  'HAVE_LIBXPM' => 1,
		  'HAVE_LIBYPSEC' => 'no',
		  'HAVE_LIBZ' => 1,
		  'HAVE_LIMITS_H' => 1,
		  'HAVE_LOCALE_H' => 1,
		  'HAVE_LOCALTIME_R' => 'no',
		  'HAVE_LONG_DOUBLE' => 'no',
		  'HAVE_LONG_FILE_NAMES' => 1,
		  'HAVE_LONG_LONG' => 1,
		  'HAVE_LSTAT' => 'no',
		  'HAVE_MACH_MACH_H' => 'no',
		  'HAVE_MALLOC' => 1,
		  'HAVE_MALLOC_H' => 1,
		  'HAVE_MBLEN' => 'no',
		  'HAVE_MBRLEN' => 1,
		  'HAVE_MBRTOWC' => 1,
		  'HAVE_MBSTATE_T' => 'no',
		  'HAVE_MD5' => 1,
		  'HAVE_MEMCHR' => 1,
		  'HAVE_MEMCMP' => 1,
		  'HAVE_MEMCPY' => 1,
		  'HAVE_MEMICMP' => 1,
		  'HAVE_MEMMOVE' => 1,
		  'HAVE_MEMORY_H' => 1,
		  'HAVE_MEMPCPY' => 1,
		  'HAVE_MEMSET' => 1,
		  'HAVE_MKDIR' => 1,
		  'HAVE_MKSTEMP' => 1,
		  'HAVE_MKSTEMPS' => 'no',
		  'HAVE_MKTEMP' => 1,
		  'HAVE_MKTIME' => 1,
		  'HAVE_MMAP' => 'no',
		  'HAVE_MODF' => 1,
		  'HAVE_MUNMAP' => 'no',
		  'HAVE_NCURSES_TERMCAP_H' => 'no',
		  'HAVE_NDIR_H' => 'no',
		  'HAVE_NETDB_H' => 'no',
		  'HAVE_NETINET_IN_H' => 'no',
		  'HAVE_NEW_H' => 'yes',
		  'HAVE_NEW_HDR' => 1,
		  'HAVE_NLS' => 'no',
		  'HAVE_NL_TYPES_H' => 'no',
		  'HAVE_OBSTACK' => 1,
		  'HAVE_OMEGA_FORMATS' => 1,
		  'HAVE_OPENDIR' => 'no',
		  'HAVE_OPENSSL' => 1,
		  'HAVE_OPENSSL_MD5' => 'no',
		  'HAVE_PAPER_H' => 'no',
		  'HAVE_PATHCONF' => 'no',
		  'HAVE_PATHS_H' => 'no',
		  'HAVE_PERMSTRING' => 1,
		  'HAVE_PIPE' => 1,
		  'HAVE_PNG_H' => 1,
		  'HAVE_POLL' => 'no',
		  'HAVE_POLL_H' => 'no',
		  'HAVE_POPEN' => 1,
		  'HAVE_POSIX_PRINTF' => 'no',
		  'HAVE_POW' => 1,
		  'HAVE_PROC_UPTIME' => 'no',
		  'HAVE_PROGRAM_INVOCATION_NAME' => 'no',
		  'HAVE_PROTOTYPES' => 1,
		  'HAVE_PSTAT_GETDYNAMIC' => 'no',
		  'HAVE_PTHREAD' => 'no',
		  'HAVE_PUTENV' => 1,
		  'HAVE_PWD_H' => 'no',
		  'HAVE_PWD_H' => 'no',
		  'HAVE_RAISE' => 1,
		  'HAVE_READDIR' => 'no',
		  'HAVE_REALPATH' => 'no',
		  'HAVE_REGEX_H' => 1,
		  'HAVE_RENAME' => 1,
		  'HAVE_RINDEX' => 1,
		  'HAVE_RINT' => 1,
		  'HAVE_RMDIR' => 'no',
		  'HAVE_SELECT' => 'no',
		  'HAVE_SELECT_H' => 'no',
		  'HAVE_SETENV' => 1,
		  'HAVE_SETHOSTNAME' => 'no',
		  'HAVE_SETJMP_H' => 1,
		  'HAVE_SETLOCALE' => 1,
		  'HAVE_SETMODE' => 1,
		  'HAVE_SETMODE_DOS' => 1,
		  'HAVE_SETVBUF' => 'no',
		  'HAVE_SHADOW_H' => 'no',
		  'HAVE_SIGACTION' => 'no',
		  'HAVE_SIGBLOCK' => 'no',
		  'HAVE_SIGINFO_T' => 'no',
		  'HAVE_SIGNAL' => 1,
		  'HAVE_SIGNAL_H' => 1,
		  'HAVE_SIGPROCMASK' => 'no',
		  'HAVE_SIGSETJMP' => 'no',
		  'HAVE_SIGSETMASK' => 'no',
		  'HAVE_SNPRINTF' => 1,
		  'HAVE_SOCKADDR_IN6_SCOPE_ID' => 1,
		  'HAVE_SOCKS' => 'no',
		  'HAVE_SOLARIS_MD5' => 'no',
		  'HAVE_SQRT' => 1,
		  'HAVE_SSL' => 'no',
		  'HAVE_STACK_T' => 'no',
		  'HAVE_STAT' => 1,
		  'HAVE_STAT_H' => 'no',
		  'HAVE_STDARG_H' => 1,
		  'HAVE_STDBOOL_H' => 1,
		  'HAVE_STDDEF_H' => 1,
		  'HAVE_STDINT_H' => 'no',
		  'HAVE_STDINT_H_WITH_UINTMAX' => 'no',
		  'HAVE_STDIO_H' => 1,
		  'HAVE_STDLIB_H' => 1,
		  'HAVE_STIME' => 'no',
		  'HAVE_STPCPY' => 1,
		  'HAVE_STRCASECMP' => 1,
		  'HAVE_STRCHR' => 1,
		  'HAVE_STRCOLL' => 1,
		  'HAVE_STRCSPN' => 1,
		  'HAVE_STRDUP' => 1,
		  'HAVE_STREAMS' => 'no',
		  'HAVE_STRERROR' => 1,
		  'HAVE_STRERROR_R' => 'no',
		  'HAVE_STRFTIME' => 1,
		  'HAVE_STRINGS_H' => 'no',
		  'HAVE_STRING_H' => 1,
		  'HAVE_STRLWR' => 1,
		  'HAVE_STRNCASECMP' => 1,
		  'HAVE_STRPBRK' => 1,
		  'HAVE_STRPTIME' => 'no',
		  'HAVE_STRRCHR' => 1,
		  'HAVE_STRSPN' => 1,
		  'HAVE_STRSTR' => 1,
		  'HAVE_STRTOL' => 1,
		  'HAVE_STRTOUL' => 1,
		  'HAVE_STRTOULL' => 'no',
		  'HAVE_STRTOUMAX' => 1,
		  'HAVE_STRUCT_STAT_ST_BLKSIZE' => 'no',
		  'HAVE_STRUCT_STAT_ST_RDEV' => 'no',
		  'HAVE_STRUCT_TM_TM_ZONE' => 'no',
		  'HAVE_STRUCT_UTIMBUF' => 1,
		  'HAVE_STRVERSCMP' => 1,
		  'HAVE_ST_BLKSIZE' => 'no',
		  'HAVE_SYMLINK' => 'no',
		  'HAVE_SYSINFO' => 'no',
		  'HAVE_SYSLOG' => 'no',
		  'HAVE_SYSLOG_H' => 'no',
		  'HAVE_SYSTEM' => 1,
		  'HAVE_SYS_BSDTYPES_H' => 'no',
		  'HAVE_SYS_DIR_H' => 'no',
		  'HAVE_SYS_FCNTL_H' => 'no',
		  'HAVE_SYS_FILE_H' => 'no',
		  'HAVE_SYS_IOCTL_H' => 'no',
		  'HAVE_SYS_NDIR_H' => 'no',
		  'HAVE_SYS_PARAM_H' => 'no',
		  'HAVE_SYS_PTEM_H' => 'no',
		  'HAVE_SYS_SELECT_H' => 'no',
		  'HAVE_SYS_SOCKET_H' => 'no',
		  'HAVE_SYS_STAT_H' => 1,
		  'HAVE_SYS_STREAM_H' => 'no',
		  'HAVE_SYS_SYSTEMINFO_H' => 'no',
		  'HAVE_SYS_TIMEB_H' => 1,
		  'HAVE_SYS_TIME_H' => 'no',
		  'HAVE_SYS_TTOLD_H' => 'no',
		  'HAVE_SYS_TYPES_H' => 1,
		  'HAVE_SYS_UTIME_H' => 1,
		  'HAVE_SYS_UTSNAME_H' => 'no',
		  'HAVE_SYS_WAIT_H' => 'no',
		  'HAVE_T1LIB_H' => 'no',
		  'HAVE_TEMPNAM' => 1,
		  'HAVE_TERMCAP_H' => 'no',
		  'HAVE_TERMIOS_H' => 'no',
		  'HAVE_TERMIO_H' => 'no',
		  'HAVE_TERMLIB_H' => 'no',
		  'HAVE_TIMEZONE' => 1,
		  'HAVE_TIME_H' => 1,
		  'HAVE_TMPNAM' => 1,
		  'HAVE_TM_GMTOFF' => 'no',
		  'HAVE_TM_ZONE' => 'no',
		  'HAVE_TSEARCH' => 'no',
		  'HAVE_TTF_FORMATS' => 1,
		  'HAVE_TYPES_H' => 'no',
		  'HAVE_TZNAME' => 1,
		  'HAVE_TZSET' => 1,
		  'HAVE_UINT32_T' => 1,
		  'HAVE_UINTMAX_T' => 1,
		  'HAVE_UINTPTR_T' => 'no',
		  'HAVE_ULLTOSTR' => 'no',
		  'HAVE_UNAME' => 'no',
		  'HAVE_UNISTD_H' => 'no',
		  'HAVE_UNSIGNED_LONG_LONG' => 1,
		  'HAVE_USLEEP' => 'no',
		  'HAVE_UTIME_H' => 'no',
		  'HAVE_UTMPX_H' => 'no',
		  'HAVE_UT_HOST' => 'no',
		  'HAVE_U_INT_TYPES' => 'no',
		  'HAVE_VALUES_H' => 'no',
		  'HAVE_VARARGS_H' => 1,
		  'HAVE_VFORK' => 'no',
		  'HAVE_VFORK_H' => 'no',
		  'HAVE_VPRINTF' => 1,
		  'HAVE_VSNPRINTF' => 1,
		  'HAVE_VSPRINTF' => 1,
		  'HAVE_WAITPID' => 'no',
		  'HAVE_WCHAR_H' => 1,
		  'HAVE_WCHAR_T' => 1,
		  'HAVE_WCRTOMB' => 1,
		  'HAVE_WCSCOLL' => 1,
		  'HAVE_WCSLEN' => 1,
		  'HAVE_WCTYPE' => 1,
		  'HAVE_WCTYPE_H' => 1,
		  'HAVE_WINT_T' => 1,
		  'HAVE_WORKING_FNMATCH_H' => 1,
		  'HAVE_WORKING_FORK' => 'no',
		  'HAVE_WORKING_STRERROR_R' => 'no',
		  'HAVE_WORKING_VFORK' => 'no',
		  'HAVE_X11_XOSDEFS_H' => 'no',
		  'HAVE_X11_XPM_H' => 'no',
		  'HAVE_XBASENAME' => 1,
		  'HAVE_XSI_STACK_OVERFLOW_HEURISTIC' => 'no',
		  'HAVE_XTAPPSETEXITFLAG' => 'no',
		  'HAVE_ZLIB' => 1,
		  'HAVE_ZLIB_COMPRESS2' => 1,
		  'HAVE_ZLIB_H' => 1,
		  'HAVE__DOPRINTF' => 'no',
		  'HAVE___ARGZ_COUNT' => 'no',
		  'HAVE___ARGZ_NEXT' => 'no',
		  'HAVE___ARGZ_STRINGIFY' => 'no',
		  'HAVE___FSETLOCKING' => 'no',
		  'HAVE___SECURE_GETENV' => 'no',
		  'HP2627WIN' => 'no',
		  'HTEX' => 1,
		  'ICONV_CONST' => 'no',
		  'INTDIV0_RAISES_SIGFPE' => 'no',
		  'IPC' => 'no',
		  'KPATHSEA' => '1',
		  'KPSEVERSION' => '"kpathsea version ". &look_for(KPSEVERSION, configure)',
		  'LDT1LIB' => 1,
		  'LOCALTIME_CACHE' => 'no',
		  'MAKE_FMT_BY_DEFAULT' => '1',
		  'MAKE_OMEGA_OCP_BY_DEFAULT' => '0',
		  'MAKE_OMEGA_OFM_BY_DEFAULT' => '0',
		  'MAKE_TEX_MF_BY_DEFAULT' => '1',
		  'MAKE_TEX_PK_BY_DEFAULT' => '1',
		  'MAKE_TEX_TEX_BY_DEFAULT' => '0',
		  'MAKE_TEX_TFM_BY_DEFAULT' => '1',
		  'MFTALKWIN' => 'no',
		  'MMAFM_RUN_MMPFB' => 1,
		  'MOTIF' => 'no',
		  'MSB2LSB' => 'no',
		  'MULTITHREADED' => 1,
		  'NAMESPACE_TWEAKS' => 'no',
		  'NEED_SYS_TYPES_H' => 'no',
		  'NEXTWIN' => 'no',
		  'NICE_PRIORITY' => 'no',
		  'NLIST_NAME_UNION' => 'no',
		  'NLIST_STRUCT' => 'no',
		  'NOTOOL' => 1,
		  'NO_DUMP_SHARE' => 'no',
		  'NO_TEXT_SELECT' => 'no',
		  'OPI_SUPPORT' => 1,
		  'OS_TYPE' => '"Win32"',
		  'PACKAGE' => '&look_for(PACKAGE, configure)',
		  'PACKAGE_BUGREPORT' => '&look_for(PACKAGE_BUGREPORT, configure) || &look_for(BUGREPORT, configure)',
		  'PACKAGE_NAME' => '&look_for(PACKAGE_NAME, configure) || &look_for(PACKAGE, configure)',
		  'PACKAGE_STRING' => '&look_for(PACKAGE_STRING, configure)',
		  'PACKAGE_TARNAME' => '&look_for(PACKAGE_TARNAME, configure)',
		  'PACKAGE_VERSION' => '&look_for(PACKAGE_VERSION, configure) || &look_for(VERSION, configure)',
		  'PRI_MACROS_BROKEN' => 'no',
		  'PRODUCT' => '&look_for(PRODUCT, configure)',
		  'PROTOTYPES' => 1,
		  'PR_PROGRAM' => '"pr.exe"',
		  'PS_DPS' => 'no',
		  'PS_GS' => 1,
		  'PS_NEWS' => 'no',
		  'PTHREAD_CREATE_JOINABLE' => 'no',
		  'REGEX_MALLOC' => 1,
		  'REGISWIN' => 'no',
		  'RETSIGTYPE' => 'void',
		  'SED_FEATURE_VERSION' => '&look_for(SED_FEATURE_VERSION, configure)',
		  'SELECT_TAKES_INT' => 'no',
		  'SETVBUF_REVERSED' => 'no',
		  'SHAREDIR' => 'no',
		  'SIZEOF_INT' => 4,
		  'SIZEOF_LONG' => 4,
		  'SIZEOF_LONG_LONG' => '8',
		  'SIZEOF_SHORT' => 2,
		  'SIZEOF_UNSIGNED_INT' => 4,
		  'SIZEOF_UNSIGNED_LONG' => 4,
		  'SIZEOF_VOID_P' => 4,
		  'SIZE_MAX' => 'no',
		  'SMART_PUTENV' => 'no',
		  'SMART_PUTENV' => 'no',
		  'STACK_DIRECTION' => 'no',
		  'STATUSLINE' => 1,
		  'STAT_MACROS_BROKEN' => 'no',
		  'STDC_HEADERS' => 1,
		  'STRERROR_R_CHAR_P' => 'no',
		  'STRIP_DEBUG' => 'no',
		  'ST_MTIM_NSEC' => 'no',
		  'SUNOS4' => 'no',
		  'SUNWIN' => 'no',
		  'SVR4' => 'no',
		  'SYSTEM_XPDFRC' => 'no',
		  'T1LIB' => 1,
		  'TEKTRONIXWIN' => 'no',
		  'TERMIOS_NEEDS_XOPEN_SOURCE' => 'no',
		  'TEXTOUT_WORD_LIST' => 1,
		  'TIME_WITH_SYS_TIME' => 'no',
		  'TIMING' => 'no',
		  'TM_IN_SYS_TIME' => 'no',
		  'UMAX' => 'no',
		  'UMAX4_3' => 'no',
		  'UNITERMWIN' => 'no',
		  'USE_DIGEST' => 1,
		  'USE_GF' => 1,
		  'USE_GZIP' => 1,
		  'USE_OPIE' => 1,
		  'VERSION' => '&look_for(VERSION, configure)',
		  'WEB2CVERSION' =>'" (Web2c " . &look_for(WEB2CVERSION, configure) . ")"',
		  'WINSIZE_IN_PTEM' => 'no',
		  'WITH_DMALLOC' => 'no',
		  'WORDS_BIGENDIAN' => 'no',
		  'X11WIN' => 'no',
		  'X_DISPLAY_MISSING' => 1,
		  'YYTEXT_CHAR' => 'no',
		  'YYTEXT_POINTER' => 1,
		  'YYTEXT_UCHAR' => 'no',
		  '_ALL_SOURCE' => 'no',
		  '_FILE_OFFSET_BITS' => 'no',
		  '_LARGEFILE_SOURCE' => 'no',
		  '_LARGE_FILES' => 'no',
		  '_MINIX' => 'no',
		  '_POSIX_1_SOURCE' => 'no',
		  '_POSIX_SOURCE' => 'no',
		  '__CHAR_UNSIGNED__' => 'no',
		  '__EXTENSIONS__' => 'no',
		  '__PROTOTYPES' => 'no',
		  'alloca' => 'no',
		  'const' => 'const',
		  'getgroups' => 'no',
		  'gid_t' => 'int',
		  'inline' => '__inline',
		  'int32_t' => 'int',
		  'intmax_t' => 'no',
		  'malloc' => 'no',
		  'mbstate_t' => 'no',
		  'memcmp' => 'no',
		  'mkstemp' => 'no',
		  'mktime' => 'no',
		  'mode_t' => 'int',
		  'my_strftime' => 'no',
		  'off_t' => '_off_t',
		  'pid_t' => 'int',
		  'ptrdiff_t' => 'no',
		  'realloc' => 'no',
		  'signed' => 'signed',
		  'size_t' => 'no',
		  'socklen_t'=> 'int',
		  'ssize_t' => 'int',
		  'strftime' => 'no',
		  'u_char' => 'unsigned char',
		  'u_int' => 'unsigned int',
		  'u_long' => 'unsigned long',
		  'u_short' => 'unsigned short',
		  'uid_t' => 'int',
		  'uint16_t' => 'unsigned short',
		  'uint32_t' => 'unsigned int',
		  'uintmax_t' => 'no',
		  'vfork' => 'no'
		 );

sub configure_cauto {
  local($src, $dst) = @_;
  local($in_comment);
  print STDERR "Doing $src -> $dst\n";

  open IN, "<$src";
  open OUT, ">$dst";
  $in_comment = 0;
  $in_cond = 0;
  $found_feature = 0;
  while (<IN>) {
    
    if ($_ =~ m@^#if.*(config|c.?auto).?h@io) {
      print OUT $_;
      next;
    }
    
    if ($_ =~ m@^#\s*(if|ifdef|ifndef)@ ) {
      $in_cond++;
      print OUT $_;
      next;
    }
    if ($_ =~ m@^#\s*endif@ ) {
      $in_cond--;
      print OUT $_;
      next;
    }

    if ($in_cond > 1 || ($in_cond == 1 && $found_feature != 0)) {
      print OUT $_;
      next;
    }

    if ($in_comment == 0 && $_ =~ m@^\s*/\*@) {
      $in_comment = 1;
    }
    if ($in_comment == 1) {
      print OUT $_;
      if ($_ =~ m@\*/\s*$@) {
	$in_comment = 0;
      }
      next;
    }
    if ($_ =~ m@#include\s*[<"]([^>"]*)[>"]@) {
      print STDERR "include $1 matched\n";
      if ($excludes{$1}) {
	next;
      }
      print OUT $_;
      next;
    }
    if ($_ =~ m@\#(define|undef)\s*([A-z0-9_-]+)@) {
      local ($value, $var);
      $var = $2;
      # Found some feature before #if
      if ($in_cond == 0) { 
	$found_feature = 1;
      }
      if ($have_features{$var} eq 'no') {
	print OUT "#undef $var\n";
	next;
      }
      # Warning : another match destroys previous $n .
      elsif ($var eq "KPSEVERSION" || $var eq "WEB2CVERSION") {
	print OUT "#define $var \"" . eval($have_features{$var}) . "\"\n";
	next;
      } elsif ($var =~ m/(PACKAGE|PRODUCT|VERSION)/) {
	$value = eval ($have_features{$var});
	if ($value !~ m/\".*\"$/) {
	  $value = "\"$value\"";
	}
	print OUT "#define $var $value\n";
	next;
      } elsif ($have_features{$var}) {
	print OUT "#define $var " . $have_features{$var} . "\n";
	next;
      } elsif ($1 eq 'define') {
	print OUT $_;
	next;
      } else {
	print STDERR "Feature not matched : $var\n";
	print OUT $_;
	next;
      }
    }
    if ($_ =~ m@^\s*$@) {
      print OUT $_;
      next;
    }
    print STDERR "$_ : not matched\n";
  }
  close (IN);
  close (OUT);
}

