%define srcdate		20030112
%define _texmf		%{_datadir}/texmf
%define texinfoversion	4.3

Summary: Binaries for teTeX.
Name: teTeX
Version: 2.0rc1
Release: 0at23
#Release: 0.%{texmfdate}.at22
#Epoch: 0
URL: http://tug.cs.umb.edu/tetex/
Source0:  ftp://cam.ctan.org/tex-archive/systems/unix/teTeX/2.0/distrib/teTeX-src-2.0-rc1.tar.gz
Source11: info-dir
#Patch0: teTeX-src-mandir.patch
Patch1: teTeX-install.patch
Patch101: texinfo-3.12h-fix.patch
Patch102: texinfo-fileextension.patch
#Patch103: texinfo-4.1-zlib.patch
Patch103: texinfo-4.3-zlib.patch
#Patch104: texinfo-4.2-malloc-check.patch
License: distributable
Group: Applications/Publishing
BuildRequires: zlib-devel
Provides: tetex = 1.0.7post, tetex-dvips = 1.0.7post, tetex-xdvi = 1.0.7post
Obsoletes: tetex <= 1.0.7, tetex-dvips <= 1.0.7, tetex-xdvi <= 1.0.7
BuildRoot: %{_tmppath}/%{name}-root

%description
teTeX is a complete TeX distribution for UNIX compatible systems,
maintained by me, Thomas Esser. It is based on Karl Berry's Web2c
distribution.

My main aims when putting this distribution together have been:

    * create something simple to install, use and maintain
    * include as much useful documentation as possible
    * test as much as possible and try to avoid bugs

The directory structure of teTeX is based on the TeX Directory
Structure standard (TDS).

This package contains the binaries for teTeX.

%package -n teTeX-devel
Summary: teTeX static libraries and and header files.
Group: Applications/Publishing
Requires: teTeX
%description -n teTeX-devel
Developement libraries and headers for teTeX.

%package -n texinfo
Summary: Tools needed to create Texinfo format documentation files.
Version: %{texinfoversion}
License: GPL
Group: Applications/Publishing
Requires: /sbin/install-info, zlib

# Redefine this to "dir" in the info directory isn't compressed

%define __spec_install_post /usr/lib/rpm/brp-strip \; /usr/lib/rpm/brp-strip-comment-note \; rm -f

%description -n texinfo
Texinfo is a documentation system that can produce both online
information and printed output from a single source file. The GNU
Project uses the Texinfo file format for most of its documentation.

Install texinfo if you want a documentation system for producing both
online and print documentation from the same source file and/or if you
are going to write documentation for the GNU Project.

%package -n info
Summary: A stand-alone TTY-based reader for GNU texinfo documentation.
Version: %{texinfoversion}
Group: System Environment/Base
# By making info prereq bash, other packages which have triggers based on
# info don't run those triggers until bash is in place as well. This is an
# ugly method of doing it (triggers which fire on set intersection would
# be better), but it's the best we can do for now. Talk to Erik before
# removing this.
Requires: bash

%description -n info
The GNU project uses the texinfo file format for much of its
documentation. The info package provides a standalone TTY-based
browser program for viewing texinfo files.

%prep
#setup -q -n teTeX-src-beta-%{srcdate}
%setup -q -n %{name}-src-2.0-rc1
#fixed in sources: %patch0 -p1
#%patch1 -p1 -b .install
cd utils/texinfo
%patch101 -p1
#fixed in sources: %patch102 -p1 -b .ext
%patch103 -p1 -b .zlib
#fixed in sources: %patch104 -p1 -b .malloccheck
cd ..

%build
%configure --disable-multiplatform
make all

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_texmf}
mkdir -p $RPM_BUILD_ROOT%{_texmf}-var
mkdir -p $RPM_BUILD_ROOT%{_texmf}-varfonts
chown 1777 $RPM_BUILD_ROOT%{_texmf}-varfonts
mkdir -p $RPM_BUILD_ROOT%{_texmf}-local/web2c
cat texk/kpathsea/texmf.cnf |\
  sed -e '/^%.*Part 1/ q'| grep -v '^%.*Part 1' |\
  sed -e's/^% original texmf.cnf/% texmf.cnf/' \
  > $RPM_BUILD_ROOT%{_texmf}-local/web2c/texmf.cnf
cat >> $RPM_BUILD_ROOT%{_texmf}-local/web2c/texmf.cnf <<EOF
% Please check %{_texmf}/web2c/texmf.cnf for further documentation
VARTEXMF = %{_texmf}-var
TEXMF = {\$HOMETEXMF,!!\$VARTEXMF,!!\$TEXMFLOCAL,!!\$TEXMFMAIN}
SYSTEXMF = {!!\$VARTEXMF,!!\$TEXMFLOCAL,!!\$TEXMFMAIN}
VARTEXFONTS = %{_texmf}-varfonts
EOF

TEXMFMAIN=${RPM_BUILD_ROOT}%{_texmf}; export TEXMFMAIN
TEXMFLOCAL=${RPM_BUILD_ROOT}%{_texmf}-local; export TEXMFLOCAL
VARTEXMF=${RPM_BUILD_ROOT}%{_texmf}-var; export VARTEXMF
VARTEXFONTS=${RPM_BUILD_ROOT}%{_texmf}-varfonts; export VARTEXFONTS
%makeinstall texmf=%{?buildroot:%{buildroot}}%{_texmf}

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \! -type d | sed -es,\^$RPM_BUILD_ROOT,, |\
  grep -v %{_libdir}/lib.*.a |\
  grep -v %{_includedir} |\
  grep -v /install-info |\
  grep -v "/info[^/]*$" |\
  grep -v /makeinfo |\
  grep -v /texi2dvi |\
  grep -v /texindex |\
  grep -v /texinfo |\
  grep -v "%{_texmf}-local/web2c/texmf.cnf" |\
  grep -v info/dir$ |\
  grep -v /ls-R$ \
  > tetex-main-filelist

# Very dirty fix ... :(
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/etc

( cd ${RPM_BUILD_ROOT}
  gzip -n -9f .%{_infodir}/*info* || :
  gzip -n -9f .%{_mandir}/*/* || :
  install -m644 $RPM_SOURCE_DIR/info-dir ./etc/info-dir
  ln -sf /etc/info-dir ${RPM_BUILD_ROOT}%{_infodir}/dir
  for i in makeinfo texindex info install-info ; do
    strip .%{_bindir}/$i
  done
  mv -f .%{_bindir}/install-info ./sbin
)

rm -f $RPM_BUILD_ROOT%{_datadir}/texinfo/texinfo.{xsl,dtd}
#%find_lang texinfo

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
install-info %{_infodir}/web2c.info.gz %{_infodir}/dir
install-info %{_infodir}/kpathsea.info.gz %{_infodir}/dir
install-info %{_infodir}/dvips.info.gz %{_infodir}/dir
install-info %{_infodir}/latex.info.gz %{_infodir}/dir

%postun
if [ $1 = 0 ]; then
  install-info --delete %{_infodir}/web2c.info.gz %{_infodir}/dir
  install-info --delete %{_infodir}/kpathsea.info.gz %{_infodir}/dir
  install-info --delete %{_infodir}/dvips.info.gz %{_infodir}/dir
  install-info --delete %{_infodir}/latex.info.gz %{_infodir}/dir
fi

%post -n texinfo
/sbin/install-info %{_infodir}/texinfo.gz %{_infodir}/dir

%preun -n texinfo
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/texinfo.gz %{_infodir}/dir
fi

%post -n info
/sbin/install-info %{_infodir}/info-stnd.info.gz %{_infodir}/dir

%preun -n info
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/info-stnd.info.gz %{_infodir}/dir
fi

%files -f tetex-main-filelist
%defattr(-,root,root)
%dir %{_texmf}
%dir %{_texmf}-local
%{_texmf}-var
%{_texmf}-varfonts
%config %{_texmf}-local/web2c/texmf.cnf
%verify(not md5 size mtime) %{_texmf}/ls-R
%verify(not md5 size mtime) %{_texmf}-local/ls-R
%verify(not md5 size mtime) %{_texmf}-var/ls-R
%verify(not md5 size mtime) %{_texmf}-varfonts/ls-R
%doc INSTALL QuickInstall ChangeLog README*

%files -n teTeX-devel
%{_libdir}/libkpathsea.a
%{_includedir}/*

#%files -n texinfo -f texinfo.lang
%files -n texinfo
%defattr(-,root,root)
%doc utils/texinfo/AUTHORS utils/texinfo/ChangeLog utils/texinfo/INSTALL utils/texinfo/INTRODUCTION utils/texinfo/NEWS utils/texinfo/README utils/texinfo/TODO
%doc --parents utils/texinfo/info/README
%{_bindir}/makeinfo
%{_bindir}/texindex
%{_bindir}/texi2dvi
%{_infodir}/texinfo*
%{_mandir}/man1/makeinfo.1*
%{_mandir}/man1/texindex.1*
%{_mandir}/man1/texi2dvi.1*
%{_mandir}/man5/texinfo.5*

%files -n info
%defattr(-,root,root)
#%config(missingok) /etc/X11/applnk/Utilities/info.desktop
%config(noreplace) %verify(not md5 size mtime) /etc/info-dir
%config(noreplace) %{_infodir}/dir
%{_bindir}/info
%{_bindir}/infokey
%{_infodir}/info.info*
%{_infodir}/info-stnd.info*
#FIXME /sbin/install-info
%{_mandir}/man1/info.1*
%{_mandir}/man1/install-info.1*
%{_mandir}/man5/info.5*

%changelog
* Mon Jan 20 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Upgrade to 2.0rc1.

* Sun Jan 12 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Upgrade to 20030112.

* Wed Jan  8 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Upgrade to 20030107.

* Sat Jan  4 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Upgrade to 20021225.

* Mon Dec 23 2002 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Upgrade to 20021223.
- Fixed files list (missing symbolic links).

* Sun Dec 22 2002 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Upgrade to 20021221.

* Fri Dec 20 2002 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Upgrade to 20021219.

* Tue Dec 17 2002 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Upgrade to 20021216.

* Wed Dec 11 2002 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Upgrade to 20021210.

* Sun Nov 17 2002 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Upgrade to 20021116.
- Sync with rawhide specfile for texinfo.
- Change version to 1.99beta.

* Tue Nov 14 2002 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Upgrade to 20021114 (src only).
- splitted the spec file in two parts src and texmf.

* Tue Nov 13 2002 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Upgrade to 20021112, remove mandir patch.
- Make the base package owner of %{_texmf}
- activated VARTEXMF, TEXMFVARFONTS and TEXMFLOCAL

* Sun Nov 10 2002 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Initial build.


