/*
  Purpose:
  Author: Fabrice Popineau <Fabrice.Popineau@supelec.fr>
  Date:

  Compile with : cl /LD InstallCompressedXEmTeX.c msi.lib
*/

#undef WIN32_LEAN_AND_MEAN
#include <windows.h>
#include <msi.h>
#include <msiquery.h>
#include <stdio.h>

BOOL APIENTRY DllMain(HANDLE hModule, DWORD ul_reason_for_call, LPVOID lpReserved)
{
    return TRUE;
}

UINT __stdcall Execute(LPTSTR cmdline)
{
    STARTUPINFO si;
    PROCESS_INFORMATION pi;

    ZeroMemory (&si, sizeof (si));
    si.cb = sizeof (si);
    ZeroMemory (&pi, sizeof(pi));
    if (!CreateProcess (NULL, (LPTSTR)cmdline, NULL, NULL, FALSE, 0,
			NULL, NULL, &si, &pi))
    {
        /* error("Could not start process %s", prog); */
	return 1;
    }
    /* Wait for the process to enter an idle state */
    WaitForSingleObject (pi.hProcess, INFINITE);

    /* Close the handles */
    CloseHandle (pi.hThread);
    CloseHandle (pi.hProcess);

    return 0;
}

__declspec(dllexport) UINT __stdcall InstallCompressedXEmTeX(MSIHANDLE hModule) 
{
    char szMsgBuf[8192];
    char szInstallDirBuf[_MAX_PATH];
    char szFeatureBuf[MAX_FEATURE_CHARS];
    char szParentBuf[MAX_FEATURE_CHARS];
    DWORD szInstallDirLength = sizeof(szInstallDirBuf);
    char szProductCode[39] = "{53EB1169-805C-4A3A-86B1-7F170D2B30EE}";
    UINT uiRet =  MsiGetTargetPath(hModule, "INSTALLDIR", szInstallDirBuf, &szInstallDirLength);
    INT iFeatureIndex;
    UINT uiInstallState;

    if (uiRet != ERROR_SUCCESS) {
	return -1;
    }

    for (iFeatureIndex = 0;
	 (uiRet = MsiEnumFeatures(szProductCode, iFeatureIndex, szFeatureBuf, szParentBuf)) != ERROR_NO_MORE_ITEMS;
	 iFeatureIndex++) {
	if (uiRet != ERROR_SUCCESS)
	    break;
	uiInstallState = MsiQueryFeatureState(szProductCode, szFeatureBuf);
	wsprintf(szMsgBuf, "Feature %d %s = %d\n", iFeatureIndex, szFeatureBuf, uiInstallState);
	MessageBox(NULL, szMsgBuf, "Feature", MB_OK);
    }
	    
    return 0;
}
