#include <windows.h>
#include <stdlib.h>
#include <stdio.h>

struct LANGANDCODEPAGE {
    WORD wLanguage;
    WORD wCodePage;
} *lpTranslate;

void main(int argc, char *argv[])
{
    DWORD hnd;
    DWORD dwSize;
    LPVOID lpBuf;
    VS_FIXEDFILEINFO *fi;
    DWORD cbTranslate;
    int i;

    if (argc != 2) {
	fprintf(stderr, "usage: %s <filename>\n", argv[0]);
	exit(1);
    }

    dwSize = GetFileVersionInfoSize(argv[1], &hnd);
    if (dwSize == 0) {
	DWORD dwErr = GetLastError();
	if (dwErr != 1812 && dwErr != 1813) {
	    fprintf(stderr, "%s: %s, error(%ld)\n", argv[0], argv[1], GetLastError());
	    exit(1);
	}
	exit(0);
    }
    lpBuf = malloc(dwSize);
    if (GetFileVersionInfo(argv[1], hnd, dwSize, lpBuf) == 0) {
	fprintf(stderr, "%s: %s, error(%ld)\n", argv[0], argv[1], GetLastError());
	exit(1);
    }

    if (VerQueryValue(lpBuf, TEXT("\\"), (LPVOID*)&fi, &dwSize) == 0) {
	fprintf(stderr, "%s: %s, error(%ld)\n", argv[0], argv[1], GetLastError());
	exit(1);
    }
    printf("%d,%d,%d,%d\n", fi->dwFileVersionMS / 0xFFFF, fi->dwFileVersionMS & 0xFFFF, fi->dwFileVersionLS / 0xFFFF, fi->dwFileVersionLS & 0xFFFF);

    if (VerQueryValue(lpBuf, 
		      TEXT("\\VarFileInfo\\Translation"),
		      (LPVOID*)&lpTranslate,
		      &cbTranslate) == 0) {
	fprintf(stderr, "%s: %s, error(%ld)\n", argv[0], argv[1], GetLastError());
	exit(1);
    }
    for(i=0; i < (cbTranslate/sizeof(struct LANGANDCODEPAGE)) - 1; i++) {
	printf("%d,", lpTranslate[i].wLanguage);
    }
    printf("%d\n", lpTranslate[i].wLanguage);



}
