
static struct {
    char *scheme;
    char *description;
    char *features[128];
} schemes_list[] = {
    {"basic", 
     "This is the basic TeXLive scheme:\n\
it is a small set of files sufficient\n\
to typeset simple plain TeX or LaTeX\n\
documents in Postscript or PDF.",
     {"TLCorecollectionbasic", "TLCorecollectionlatex", NULL } },
    {"recommended", 
     "This is the recommended TeX Live collection: it holds a sufficient set of files for most users.",
     { 
	 "TLCorecollectionbasic",
	 "TLCorecollectioncontext",
	 "TLCorecollectiondocumentationenglish",
	 "TLCorecollectionextrabin",
	 "TLCorecollectionfontbin",
	 "TLCorecollectionfontsrecommended",
	 "TLCorecollectionlangczechslovak",
	 "TLCorecollectionlangdutch",
	 "TLCorecollectionlangfrench",
	 "TLCorecollectionlanggerman",
	 "TLCorecollectionlangitalian",
	 "TLCorecollectionlangpolish",
	 "TLCorecollectionlangportuguese",
	 "TLCorecollectionlangspanish",
	 "TLCorecollectionlangukenglish",
	 "TLCorecollectionlatex",
	 "TLCorecollectionlatexrecommended",
	 "TLCorecollectionmathextra",
	 "TLCorecollectionmetapost",
	 "TLCorecollectionpdfetex",
	 NULL
     } },
    {"full", 
     "This is the full TeXLive collection:\n\
it holds all the files available.",
     { 
	 "TLCorecollectionbasic",
	 "TLCorecollectionbibtexextra",
	 "TLCorecollectionchemistry",
	 "TLCorecollectioncontext",
	 "TLCorecollectiondocumentationbase",
	 "TLCorecollectiondocumentationczechslovak",
	 "TLCorecollectiondocumentationdutch",
	 "TLCorecollectiondocumentationenglish",
	 "TLCorecollectiondocumentationfinnish",
	 "TLCorecollectiondocumentationfrench",
	 "TLCorecollectiondocumentationgerman",
	 "TLCorecollectiondocumentationgreek",
	 "TLCorecollectiondocumentationitalian",
	 "TLCorecollectiondocumentationjapanese",
	 "TLCorecollectiondocumentationkorean",
	 "TLCorecollectiondocumentationmongolian",
	 "TLCorecollectiondocumentationpolish",
	 "TLCorecollectiondocumentationportuguese",
	 "TLCorecollectiondocumentationrussian",
	 "TLCorecollectiondocumentationspanish",
	 "TLCorecollectiondocumentationukrainian",
	 "TLCorecollectionextrabin",
	 "TLCorecollectionfontbin",
	 "TLCorecollectionfontsextra",
	 "TLCorecollectionfontsrecommended",
	 "TLCorecollectionformatsextra",
	 "TLCorecollectiongames",
	 "TLCorecollectiongenericextra",
	 "TLCorecollectiongraphicstools",
	 "TLCorecollectionhtmlxml",
	 "TLCorecollectionlangafrican",
	 "TLCorecollectionlangarab",
	 "TLCorecollectionlangarmenian",
	 "TLCorecollectionlangcjk",
	 "TLCorecollectionlangcroatian",
	 "TLCorecollectionlangcyrillic",
	 "TLCorecollectionlangczechslovak",
	 "TLCorecollectionlangdanish",
	 "TLCorecollectionlangdutch",
	 "TLCorecollectionlangfinnish",
	 "TLCorecollectionlangfrench",
	 "TLCorecollectionlanggerman",
	 "TLCorecollectionlanggreek",
	 "TLCorecollectionlanghebrew",
	 "TLCorecollectionlanghungarian",
	 "TLCorecollectionlangindic",
	 "TLCorecollectionlangitalian",
	 "TLCorecollectionlanglatin",
	 "TLCorecollectionlangmanju",
	 "TLCorecollectionlangmongolian",
	 "TLCorecollectionlangnorwegian",
	 "TLCorecollectionlangother",
	 "TLCorecollectionlangpolish",
	 "TLCorecollectionlangportuguese",
	 "TLCorecollectionlangspanish",
	 "TLCorecollectionlangswedish",
	 "TLCorecollectionlangtibetan",
	 "TLCorecollectionlangukenglish",
	 "TLCorecollectionlangvietnamese",
	 "TLCorecollectionlatex",
	 "TLCorecollectionlatex3",
	 "TLCorecollectionlatexextra",
	 "TLCorecollectionlatexrecommended",
	 "TLCorecollectionmathextra",
	 "TLCorecollectionmetapost",
	 "TLCorecollectionmusic",
	 "TLCorecollectionomega",
	 "TLCorecollectionpdfetex",
	 "TLCorecollectionpictures",
	 "TLCorecollectionplainextra",
	 "TLCorecollectionpsutils",
	 "TLCorecollectionpublishers",
	 "TLCorecollectionttfutils",
	 "TLCorecollectionxemtex",
	 NULL
     } },
    {"gut", 
     "This is the GUTenberg TeXLive scheme:\n\
it is a small set of files sufficient\n\
to typeset plain TeX or LaTeX\n\
documents in Postscript or PDF.",
     { 
	 "TLCorecollectionbasic",
	 "TLCorecollectionbibtexextra",
	 "TLCorecollectioncontext",
	 "TLCorecollectiondocumentationenglish",
	 "TLCorecollectiondocumentationfrench",
	 "TLCorecollectionextrabin",
	 "TLCorecollectionfontbin",
	 "TLCorecollectionfontsextra",
	 "TLCorecollectionfontsrecommended",
	 "TLCorecollectionfontsrecommended",
	 "TLCorecollectiongenericextra",
	 "TLCorecollectionhtmlxml",
	 "TLCorecollectionlangfrench",
	 "TLCorecollectionlanggerman",
	 "TLCorecollectionlatex",
	 "TLCorecollectionlatexextra",
	 "TLCorecollectionlatexrecommended",
	 "TLCorecollectionmathextra",
	 "TLCorecollectionmetapost",
	 "TLCorecollectionpdfetex",
	 "TLCorecollectionpictures",
	 "TLCorecollectionplainextra",
	 "TLCorecollectionpsutils",
	 NULL
     } },
    {"gust", 
     "This is the GUST TeXLive scheme:\n\
it is a set of files sufficient\n\
to typeset Polish plain TeX or LaTeX\n\
documents in Postscript or PDF.",
     { 
	 "Packageamstex",
	 "Packagecomment",
	 "Packageconcrete",
	 "Packagefancybox",
	 "TLCorecollectionbasic",
	 "TLCorecollectioncontext",
	 "TLCorecollectiondocumentationpolish",
	 "TLCorecollectionfontbin",
	 "TLCorecollectionfontsrecommended",
	 "TLCorecollectionlangpolish",
	 "TLCorecollectionlatex",
	 "TLCorecollectionlatexrecommended",
	 "TLCorecollectionmetapost",
	 "TLCorecollectionpdfetex",
	 "TLCorecollectionpsutils",
	 NULL
     } },
    {"xml", 
     "This contains the things you need\n\
to do XML-related work,\n\
including PassiveTeX, Jadetex,\n\
Context and Omega",
     { 
	 "Packagecontext",
	 "Packagejadetex",
	 "Packageltxmisc",
	 "Packagemarvosym",
	 "Packagemarvosym",
	 "Packagemetapost",
	 "Packagepassivetex",
	 "Packagerotating",
	 "Packagestmaryrd",
	 "Packagetex4ht",
	 "Packagetipa",
	 "Packageunicode",
	 "Packagewasy",
	 "Packagewasysym",
	 "Packagexmltex",
	 "TLCorebincontext",
	 "TLCorebinjadetex",
	 "TLCorebinmetapost",
	 "TLCorebintex4htk",
	 "TLCorebinxmltex",
	 "TLCorecollectionbasic",
	 "TLCorecollectionfontsrecommended",
	 "TLCorecollectionlatex",
	 "TLCorecollectionomega",
	 "TLCorecollectionpdfetex",
	 NULL
     } 
    },
    {"context", 
     "This is the ConTeXt TeXLive scheme:\n\
it is a small set of files sufficient\n\
to typeset simple ConTeXt documents\n\
in Postscript or PDF.",
     {
	 "Packageamsfonts",
	 "Packagebibtex",
	 "Packagecm",
	 "Packagecmap",
	 "Packagecmex",
	 "Packagecontext",
	 "Packageetex",
	 "Packagefontname",
	 "Packageifmslide",
	 "Packagemflogo",
	 "Packagepdfcprot",
	 "Packagepdfpages",
	 "Packagepdftexdef",
	 "Packagetexpower",
	 "TLCorebinbibtex",
	 "TLCorebinbibtex8",
	 "TLCorebinbzip2",
	 "TLCorebincontext",
	 "TLCorebindialog",
	 "TLCorebindvipdfm",
	 "TLCorebindvipdfmx",
	 "TLCorebindvipsk",
	 "TLCorebinetex",
	 "TLCorebinfontware",
	 "TLCorebingsftopk",
	 "TLCorebingzip",
	 "TLCorebinjpeg2ps",
	 "TLCorebinkpathsea",
	 "TLCorebinmakeindex",
	 "TLCorebinmetapost",
	 "TLCorebinpdftex",
	 "TLCorebinpdftools",
	 "TLCorebinperl",
	 "TLCorebinppower4",
	 "TLCorebintex",
	 "TLCorebintexconfig",
	 "TLCorebintexdoc",
	 "TLCorebinthumbpdf",
	 "TLCorebinwindvi",
	 "TLCorebinxdvi",
	 "TLCorebinxpdf",
	 "TLCorelibjpeg",
	 "TLCorelibpng",
	 "TLCorelibregex",
	 "TLCorelibttf",
	 "TLCorelibzlib",
	 NULL
     } 
    },
    {"omega",
     "This is the recomended collection\n\
for people working with Omega\n\
on multilingual scripts",
     {
	 "TLCorecollectionbasic",
	 "TLCorecollectiondocumentationenglish",
	 "TLCorecollectionextrabin",
	 "TLCorecollectionfontbin",
	 "TLCorecollectionfontsrecommended",
	 "TLCorecollectionlangafrican",
	 "TLCorecollectionlangarmenian",
	 "TLCorecollectionlangcjk",
	 "TLCorecollectionlangcroatian",
	 "TLCorecollectionlangcyrillic",
	 "TLCorecollectionlangczechslovak",
	 "TLCorecollectionlangdanish",
	 "TLCorecollectionlangdutch",
	 "TLCorecollectionlangfinnish",
	 "TLCorecollectionlangfrench",
	 "TLCorecollectionlanggerman",
	 "TLCorecollectionlanggreek",
	 "TLCorecollectionlanghungarian",
	 "TLCorecollectionlangindic",
	 "TLCorecollectionlangitalian",
	 "TLCorecollectionlanglatin",
	 "TLCorecollectionlangmanju",
	 "TLCorecollectionlangmongolian",
	 "TLCorecollectionlangnorwegian",
	 "TLCorecollectionlangother",
	 "TLCorecollectionlangpolish",
	 "TLCorecollectionlangportuguese",
	 "TLCorecollectionlangspanish",
	 "TLCorecollectionlangswedish",
	 "TLCorecollectionlangtibetan",
	 "TLCorecollectionlangukenglish",
	 "TLCorecollectionlangvietnamese",
	 "TLCorecollectionlatex",
	 "TLCorecollectionomega",
	 NULL
     }
    },
    { NULL, NULL, { NULL } }
};

static char *features_list[] = {
    "Docamslatexprimer",
    "Docamsldocit",
    "Docamsmathit",
    "Docamsthdocit",
    "Docbase",
    "Doccatalogue",
    "DoccomponentsofTeX",
    "Doccstug",
    "Docdtxtut",
    "Docepslatexen",
    "Docepslatexfr",
    "Docfancyhdrit",
    "DocFAQen",
    "DocFAQfr",
    "DocFAQge",
    "Docfirststeps",
    "Docgentle",
    "Docgentlegr",
    "Docgtf",
    "Docguidespl",
    "Docguidetolatex",
    "Dochelp",
    "Docimpatient",
    "Docimpatientfr",
    "Docknuth",
    "Dockopka",
    "Docl2tabu",
    "Docl2tabuenglish",
    "Docl2tabufrench",
    "Docl2tabuit",
    "Doclatex2ehtml",
    "Doclatexgraphicscompanion",
    "Doclatextippsundtricks",
    "Doclatexwebcompanion",
    "Doclkort",
    "Doclshortdutch",
    "Doclshortenglish",
    "Doclshortfinnish",
    "Doclshortfrench",
    "Doclshortgerman",
    "Doclshortitalian",
    "Doclshortjapanese",
    "Doclshortkorean",
    "Doclshortmongolian",
    "Doclshortpolish",
    "Doclshortportuguese",
    "Doclshortrussian",
    "Doclshortslovak",
    "Doclshortspanish",
    "Doclshortukrainian",
    "Docmaketexwork",
    "Docmathintolatex",
    "Docmetafontforbeginners",
    "Docmetafp",
    "Docmetapostexamples",
    "Docmiscge",
    "Docntg",
    "Docpstrickstutorial",
    "Docsymbols",
    "Doctds",
    "Doctexlivecommon",
    "Doctexlivecz",
    "Doctexliveen",
    "Doctexlivefr",
    "Doctexlivege",
    "Doctexlivepl",
    "Doctexliveru",
    "Doctexrefs",
    "Doctexvirtualacademypl",
    "Doctlc2",
    "Doctruetype",
    "DocType1fonts",
    "Docvoss",
    "Docwebguide",
    "Docwpconv",
    "Packagea0poster",
    "Packageaastex",
    "Packageabstract",
    "Packageabstyles",
    "Packageaccfonts",
    "Packageachemso",
    "Packageacmconf",
    "Packageacmtrans",
    "Packageacronym",
    "Packageadobeuro",
    "Packageadrconv",
    "Packageadrlist",
    "Packageae",
    "Packageaeguill",
    "Packageaguplus",
    "Packageai",
    "Packageaiaa",
    "Packageakletter",
    "Packagealatex",
    "Packagealbertus",
    "Packagealeph",
    "Packagealg",
    "Packagealgorithm2e",
    "Packagealgorithmicx",
    "Packagealgorithms",
    "Packageallrunes",
    "Packagealnumsec",
    "Packagealtfont",
    "Packageamsfonts",
    "Packageamslatex",
    "Packageamssymbols",
    "Packageamstex",
    "Packageanswers",
    "Packageantiqua",
    "Packageantomega",
    "Packageantp",
    "Packageantt",
    "Packageanysize",
    "Packageapa",
    "Packageapacite",
    "Packageapl",
    "Packageappendix",
    "Packagear",
    "Packagearabtex",
    "Packagearchaic",
    "Packagearcs",
    "Packagearmenian",
    "Packagearphic",
    "Packagearrayjob",
    "Packagearydshln",
    "Packageasaetr",
    "Packageascelike",
    "Packageascii",
    "Packageassignment",
    "Packageastro",
    "Packageatqolive",
    "Packageattachfile",
    "Packageaugie",
    "Packageaurical",
    "Packageaurora",
    "Packageauthorindex",
    "Packageautotab",
    "Packageavantgar",
    "Packagebabel",
    "Packagebabelbib",
    "Packagebackgammon",
    "Packagebangtex",
    "Packagebarcode2",
    "Packagebarcodes",
    "Packagebardiag",
    "Packagebarr",
    "Packagebayer",
    "Packagebbding",
    "Packagebbm",
    "Packagebbold",
    "Packagebeamer",
    "Packagebeebe",
    "Packagebegriff",
    "Packagebelleek",
    "Packagebengali",
    "Packagebera",
    "Packagebetababel",
    "Packagebeton",
    "Packagebez123",
    "Packagebezos",
    "Packagebibarts",
    "Packagebibhtml",
    "Packagebiblist",
    "Packagebibtex",
    "Packagebibtopic",
    "Packagebibunits",
    "Packagebigfoot",
    "Packagebiocon",
    "Packagebitfield",
    "Packagebizcard",
    "Packageblacklettert1",
    "Packageblindtext",
    "Packageboites",
    "Packagebookhands",
    "Packagebooklet",
    "Packagebookman",
    "Packagebooktabs",
    "Packagebophook",
    "Packageborceux",
    "Packagebpchem",
    "Packagebraille",
    "Packagebreqn",
    "Packagebridge",
    "Packagebrushscr",
    "Packageburmese",
    "Packagebytefield",
    "Packagecalendar",
    "Packagecalligra",
    "Packagecalrsfs",
    "Packagecalxxxx",
    "Packagecamel",
    "Packagecaptcont",
    "Packagecaption",
    "Packagecarlisle",
    "Packagecasyl",
    "Packagecb",
    "Packageccaption",
    "Packageccfonts",
    "Packagecchess",
    "Packageccpl",
    "Packagecd",
    "Packagecdcover",
    "Packagecdpbundl",
    "Packagecellular",
    "Packagechangebar",
    "Packagechapterfolder",
    "Packagecharter",
    "Packagechemarrow",
    "Packagechemcono",
    "Packagechemjournal",
    "Packagechemsym",
    "Packagecheq",
    "Packagecherokee",
    "Packagechess",
    "Packagechina2e",
    "Packagecirc",
    "Packagecirth",
    "Packagecite",
    "Packageciteref",
    "Packagecjhebrew",
    "PackageCJK",
    "Packagecjw",
    "Packageclarendo",
    "Packageclefval",
    "Packageclock",
    "Packageclrscode",
    "Packagecm",
    "Packagecmap",
    "Packagecmastro",
    "Packagecmbright",
    "Packagecmcyr",
    "Packagecmcyralt",
    "Packagecmdtrack",
    "Packagecmex",
    "Packagecmextra",
    "Packagecmpica",
    "Packagecmsd",
    "Packagecmsuper",
    "Packagecns",
    "Packagecodepage",
    "Packagecolorinfo",
    "Packagecolorsep",
    "Packagecolortab",
    "Packagecombine",
    "Packagecomment",
    "Packagecompactbib",
    "Packageconcmath",
    "Packageconcprog",
    "Packageconcrete",
    "Packagecontext",
    "Packagecontextomega",
    "Packagecontour",
    "Packagecooking",
    "Packagecoordsys",
    "Packagecoptic",
    "Packagecoronet",
    "Packagecount1to",
    "Packagecourier",
    "Packagecourierscaled",
    "Packagecourseoutline",
    "Packagecoursepaper",
    "Packagecovington",
    "Packagecpascal",
    "Packagecroatian",
    "Packagecrop",
    "Packagecrossreference",
    "Packagecrosswrd",
    "Packagecryst",
    "Packagecs",
    "Packagecslatex",
    "Packagecsplain",
    "Packagecsquotes",
    "Packagecsvtools",
    "Packagectable",
    "Packagectib",
    "Packagecuisine",
    "Packagecurrvita",
    "Packagecursor",
    "Packagecurve",
    "Packagecurves",
    "Packagecustombib",
    "Packagecv",
    "Packagecvsty",
    "Packagecweb",
    "Packagecwpuzzle",
    "Packagecyrfinst",
    "Packagecyrillic",
    "Packagecyrplain",
    "Packagedancers",
    "Packagedashbox",
    "Packagedashrule",
    "Packagedatenumber",
    "Packagedatetime",
    "Packagedbtt",
    "Packagedcpic",
    "Packagedecimal",
    "Packagedeleq",
    "Packagedevanagr",
    "Packagediagnose",
    "Packagedialogl",
    "Packagedice",
    "Packagedichokey",
    "Packagedictsym",
    "Packagedinat",
    "Packagedinbrief",
    "Packagedingbat",
    "Packagedirectory",
    "Packagedkbib",
    "Packagednaseq",
    "Packagedocmfp",
    "Packagedotseqn",
    "Packagedoublestroke",
    "Packagedpfloat",
    "Packagedraftcopy",
    "Packagedramatist",
    "Packagedratex",
    "Packagedropping",
    "Packagedtk",
    "Packageduerer",
    "Packagedvilj",
    "Packagedvips",
    "Packageean",
    "Packageeasy",
    "Packageebezier",
    "Packageebsthesis",
    "Packageec",
    "PackageeCards",
    "Packageecc",
    "Packageecltree",
    "Packageeco",
    "Packageedmac",
    "Packageednotes",
    "Packageeemeir",
    "Packageeepic",
    "Packageegameps",
    "Packageegplot",
    "Packageeiad",
    "Packageeijkhout",
    "Packageellipsis",
    "Packageelmath",
    "Packageelsevier",
    "Packageelvish",
    "Packageem",
    "Packageemp",
    "Packageempheq",
    "Packageemulateapj",
    "Packageenctex",
    "Packageendfloat",
    "Packageengpron",
    "Packageengrec",
    "Packageengwar",
    "Packageenumitem",
    "Packageenvbig",
    "Packageenvlab",
    "Packageepigraph",
    "Packageepiolmec",
    "Packageeplain",
    "Packageepsdice",
    "Packageeqlist",
    "Packageeqname",
    "Packageeqnarray",
    "Packageeqparbox",
    "Packageesdiff",
    "PackageESIEEcv",
    "Packageesint",
    "Packageesopic",
    "Packageesvect",
    "Packageetex",
    "Packageethiop",
    "Packageeuclide",
    "Packageeuler",
    "Packageeulervm",
    "Packageeuro",
    "Packageeuroce",
    "Packageeurofont",
    "Packageeuropecv",
    "Packageeurosans",
    "Packageeurosym",
    "Packageeuxm",
    "Packageeverysel",
    "Packageeveryshi",
    "Packageexam",
    "Packageexamdesign",
    "Packageexercise",
    "Packageexpdlist",
    "Packageexpl3",
    "Packageexport",
    "Packageexpressg",
    "Packageextsizes",
    "Packagefacsimile",
    "Packagefancybox",
    "Packagefancyhdr",
    "Packagefancynum",
    "Packagefancyref",
    "Packagefancyvrb",
    "Packagefax",
    "Packagefc",
    "Packagefeatpost",
    "Packagefeyn",
    "Packagefeynmf",
    "Packagefigbib",
    "Packagefigsize",
    "Packagefilecontents",
    "Packagefinbib",
    "Packagefink",
    "Packagefixfoot",
    "Packagefixme",
    "Packageflabels",
    "Packageflashcards",
    "Packagefloat",
    "Packagefloatflt",
    "Packagefloatrow",
    "Packagefltpoint",
    "Packagefmp",
    "Packagefnbreak",
    "Packagefncychap",
    "Packagefoilhtml",
    "Packagefontinst",
    "Packagefontname",
    "Packagefootbib",
    "Packagefootmisc",
    "Packagefootnpag",
    "Packageformlett",
    "Packageformula",
    "Packageformular",
    "Packagefourier",
    "Packagefp",
    "Packagefrcursive",
    "Packagefribrief",
    "Packagefullblck",
    "Packagefullpict",
    "Packagefunctan",
    "Packagefundus",
    "Packagefuthark",
    "Packagegalley",
    "Packagegalois",
    "Packagegaramond",
    "Packagegatechthesis",
    "Packagegauss",
    "Packagegbrief",
    "Packagegenealogy",
    "Packagegenmisc",
    "Packagegenmpage",
    "Packagegeometry",
    "Packagegeomsty",
    "Packagegerman",
    "Packagegermbib",
    "Packageginpenc",
    "Packagegloss",
    "Packageglossary",
    "Packagego",
    "Packagegost",
    "Packagegothic",
    "Packagegraphics",
    "Packagegreek",
    "Packagegreenpoint",
    "Packagegrfpaste",
    "Packagegrnumalt",
    "Packagegrotesq",
    "Packagegrtimes",
    "Packagegrverb",
    "PackageGuIT",
    "Packageguitar",
    "Packagegustlib",
    "Packagehands",
    "Packagehanging",
    "PackageHAprosper",
    "Packageharpoon",
    "Packageharvard",
    "Packageharvmac",
    "Packagehatching",
    "Packagehc",
    "Packagehelvetic",
    "Packagehfbright",
    "Packagehfoldsty",
    "Packagehhtensor",
    "Packagehieroglf",
    "Packagehilowres",
    "Packagehistogr",
    "Packagehitec",
    "Packagehpsdiss",
    "Packagehvfloat",
    "Packagehvmath",
    "Packagehyper",
    "Packagehyperref",
    "Packagehyphenat",
    "Packageibycus",
    "PackageIEEEconf",
    "Packageieeepes",
    "PackageIEEEtran",
    "Packageifacmtg",
    "Packageifmslide",
    "Packageifsym",
    "Packageimac",
    "Packageindex",
    "Packageinlinebib",
    "Packageinsbox",
    "Packageinteractiveworkbook",
    "Packageinvoice",
    "Packageipa",
    "Packageiso",
    "Packageiso10303",
    "Packageisodate",
    "Packageisorot",
    "Packageisotope",
    "Packageitrans",
    "Packagejadetex",
    "Packagejhep",
    "Packagejknapltx",
    "Packagejpsj",
    "Packagejsmisc",
    "Packagejura",
    "Packagejuraabbrev",
    "Packagejurabib",
    "Packagejuramisc",
    "Packagekalender",
    "Packagekarnaugh",
    "Packagekastrup",
    "Packagekdgreek",
    "Packagekerkis",
    "Packagekerntest",
    "Packagekeystroke",
    "Packagekixfont",
    "Packagekluwer",
    "Packageknuthotherfonts",
    "Packagekomascript",
    "Packagekorean",
    "Packagekuvio",
    "Packagelabbook",
    "Packagelabels",
    "Packagelambda",
    "Packagelamstex",
    "Packagelastpage",
    "Packagelatex",
    "Packagelatexmp",
    "Packagelayouts",
    "Packagelazylist",
    "Packagelcd",
    "Packagelcg",
    "Packagele",
    "Packageleaflet",
    "Packageleawood",
    "Packageledmac",
    "Packageleftidx",
    "Packagelettre",
    "Packagelettrgth",
    "Packagelettrine",
    "Packagelevy",
    "Packagelexikon",
    "Packagelgreek",
    "Packagelh",
    "Packagelhcyr",
    "Packagelhelp",
    "Packagelimap",
    "Packagelineno",
    "Packagelinguex",
    "Packagelistbib",
    "Packagelistings",
    "Packagelistliketab",
    "Packagelistofsymbols",
    "Packageliterat",
    "Packagelm",
    "Packagelocalloc",
    "Packagelogic",
    "Packagelogpap",
    "Packageltablex",
    "Packageltabptch",
    "Packageltxindex",
    "Packageltxmisc",
    "Packagelublack",
    "Packagelubright",
    "Packagelucallig",
    "Packagelucasual",
    "Packageluccyr",
    "Packagelucida",
    "Packagelucidfax",
    "Packagelucold",
    "Packagelucsans",
    "Packagelucsstt",
    "Packageluctt",
    "Packageluhand",
    "Packagelumath",
    "Packagely1",
    "Packagemailing",
    "Packagemakebox",
    "Packagemakecirc",
    "Packagemakecmds",
    "Packagemakeindex",
    "Packagemalayalam",
    "Packagemanfnt",
    "Packagemanjutex",
    "Packagemanuscript",
    "Packagemapcodes",
    "Packagemaple",
    "Packagemarigold",
    "Packagemarvosym",
    "Packagemathcomp",
    "Packagemathematica",
    "Packagemathpazo",
    "Packagemathtime",
    "Packagemceinleger",
    "Packagemcite",
    "Packagemdwtools",
    "Packagememoir",
    "Packagementis",
    "Packagemenu",
    "Packagemetafont",
    "Packagemetaobj",
    "Packagemetaplot",
    "Packagemetapost",
    "Packagemetatex",
    "Packagemethod",
    "Packagemetre",
    "Packagemex",
    "Packagemff",
    "Packagemflogo",
    "Packagemfnfss",
    "Packagemfpic",
    "Packagemft",
    "Packagemftinc",
    "Packagemftoeps",
    "Packagemh",
    "Packagemhchem",
    "Packagemhequ",
    "Packagemhs",
    "Packagemicrotype",
    "Packagemidnight",
    "Packagemiller",
    "Packageminiplot",
    "Packageminitoc",
    "Packageminutes",
    "Packagemisc",
    "Packagemisc209",
    "Packagemkindenglish",
    "Packagemkindgerman",
    "Packagemlapaper",
    "Packagemltex",
    "Packagemnras",
    "PackageMnSymbol",
    "Packagemodroman",
    "Packagemontex",
    "Packagemorehelp",
    "Packagemoresize",
    "Packagemoreverb",
    "Packagemorse",
    "Packagemovie15",
    "Packagemp3d",
    "Packagemparhack",
    "Packagempattern",
    "Packagemsc",
    "Packagemslapa",
    "Packagemtgreek",
    "Packagemultenum",
    "Packagemulti",
    "Packagemultibbl",
    "Packagemultibib",
    "Packagemulticap",
    "Packagemultido",
    "Packagemultirow",
    "Packagemultitoc",
    "Packagemusictex",
    "Packagemusixlyr",
    "Packagemusixtex",
    "Packagemuthesis",
    "Packagemwcls",
    "Packagemwrite",
    "Packagemxd",
    "Packagemxedruli",
    "Packagenamespc",
    "Packagenassflow",
    "Packagenatbib",
    "Packagenath",
    "Packagenature",
    "Packagencclatex",
    "Packagencctools",
    "Packagencntrsbk",
    "Packagenewalg",
    "Packagenewfile",
    "Packagenewlfm",
    "Packagenewsletr",
    "Packagenewthm",
    "Packagenewvbtm",
    "Packageniceframe",
    "Packagenkarta",
    "Packagenomencl",
    "Packagenomentbl",
    "Packagenonfloat",
    "Packagenorasi",
    "Packagenotes",
    "Packagenrc",
    "Packagentabbing",
    "Packagentgclass",
    "Packagentheorem",
    "Packagenumline",
    "Packagenumprint",
    "Packageoberdiek",
    "Packageobjectz",
    "Packageoca",
    "Packageocherokee",
    "Packageocra",
    "Packageoesch",
    "Packageofs",
    "Packageogham",
    "Packageogonek",
    "Packageoinuit",
    "Packageoldstyle",
    "Packageomega",
    "Packageomegadevanagari",
    "Packageopcit",
    "Packageoptima",
    "Packageosa",
    "Packageosmanian",
    "Packageot2cyr",
    "Packageothello",
    "Packageotibet",
    "Packageoutline",
    "Packageoutliner",
    "Packageoverpic",
    "Packageoxford",
    "Packagepacioli",
    "Packagepageno",
    "Packagepagenote",
    "Packagepalatino",
    "Packagepaper",
    "Packageparalist",
    "Packageparallel",
    "Packageparesse",
    "Packageparrun",
    "Packagepassivetex",
    "Packagepatch",
    "Packagepatchcmd",
    "Packagepawpict",
    "Packagepbdiagram",
    "Packagepbox",
    "Packagepbsheet",
    "Packagepclnfss",
    "Packagepdcmac",
    "Packagepdfcprot",
    "Packagepdfpages",
    "Packagepdfscreen",
    "Packagepdfslide",
    "Packagepdftexdef",
    "Packagepdftricks",
    "Packagepdfwin",
    "Packageperltex",
    "Packagepermute",
    "Packagepeterw",
    "Packagepetrinets",
    "Packagepgf",
    "Packagephaistos",
    "Packagephonetic",
    "Packagephoto",
    "Packagephyse",
    "Packagephyzzx",
    "Packagepicinpar",
    "Packagepicins",
    "Packagepict2e",
    "Packagepictex",
    "Packagepictex2",
    "Packagepiechartmp",
    "Packagepiff",
    "Packagepittetd",
    "Packagepl",
    "Packageplain",
    "Packageplari",
    "Packageplates",
    "Packageplatex",
    "Packageplay",
    "Packageplgraph",
    "Packageplweb",
    "Packagepmgraph",
    "Packagepoemscol",
    "Packagepolyglot",
    "Packagepolynom",
    "Packagepolytable",
    "Packagepostcards",
    "Packageppower4",
    "Packagepprprv",
    "Packageprelim2e",
    "Packagepreprint",
    "Packageprettyref",
    "Packagepreview",
    "Packageprobsoln",
    "PackageprocIAGssymp",
    "Packageprogkeys",
    "Packageprogram",
    "Packageprogress",
    "Packageproofs",
    "Packageprosper",
    "Packageprotocol",
    "Packageps4pdf",
    "Packagepsafm",
    "Packagepsfig",
    "Packagepsfrag",
    "Packagepsfragx",
    "Packagepsgo",
    "Packagepsizzl",
    "Packagepslatex",
    "Packagepsnfss",
    "Packagepsnfssx",
    "Packagepst3dplot",
    "Packagepstbar",
    "Packagepstblur",
    "Packagepstcirc",
    "Packagepstfr3d",
    "Packagepstgeo",
    "Packagepstghsb",
    "Packagepstgr3d",
    "Packagepstinfixplot",
    "Packagepstjftree",
    "Packagepstlens",
    "Packagepstmath",
    "Packagepstoptic",
    "Packagepstosci",
    "Packagepstpoly",
    "Packagepstricks",
    "Packagepstricksadd",
    "Packagepstslpe",
    "Packagepstuml",
    "Packagepstvue3d",
    "Packageptptex",
    "Packagepunk",
    "Packagepxfonts",
    "Packageqfonts",
    "Packageqobitree",
    "Packageqpx",
    "Packageqsymbols",
    "Packageqtx",
    "Packagequotchap",
    "Packageqxcm",
    "Packageragged2e",
    "Packagerccol",
    "Packagercs",
    "Packagercsinfo",
    "Packagerealcalc",
    "Packagerectopma",
    "Packagerefcheck",
    "Packagerefman",
    "Packagerefstyle",
    "Packageregcount",
    "Packageregister",
    "Packagerelenc",
    "Packagerepeatindex",
    "Packageresume",
    "Packagerevtex",
    "Packagerlepsf",
    "Packagermpage",
    "Packageroex",
    "Packageromannum",
    "Packagerotating",
    "Packagerotfloat",
    "Packagerotpages",
    "Packagerplain",
    "Packagersfs",
    "Packagerst",
    "Packagertkinenc",
    "Packageruhyphen",
    "Packagerunds",
    "Packagesae",
    "Packagesanskrit",
    "Packagesauerj",
    "Packagesauter",
    "Packagesauterfonts",
    "Packagesavefnmark",
    "Packagesavesym",
    "Packagesavetrees",
    "Packagescale",
    "Packagescalebar",
    "Packageschedule",
    "Packagescientificpaper",
    "Packagesciposter",
    "Packagesciwordconv",
    "Packagescript",
    "Packagesectsty",
    "Packagesemantic",
    "Packagesemaphor",
    "Packageseminar",
    "Packagesetspace",
    "Packagesf298",
    "Packagesffms",
    "Packagesgame",
    "Packageshadbox",
    "Packageshadethm",
    "Packageshapepar",
    "Packageshortlst",
    "Packageshorttoc",
    "Packageshowdim",
    "Packageshowlabels",
    "Packagesiam",
    "Packagesidecap",
    "Packagesiggraph",
    "Packagesimpsons",
    "PackageSIstyle",
    "PackageSIunits",
    "Packageskak",
    "Packageskaknew",
    "Packageskull",
    "Packageslantsc",
    "Packageslashbox",
    "Packageslidenotes",
    "Packageslideshow",
    "Packagesmalltableof",
    "Packagesmartref",
    "Packagesmflatex",
    "Packagesnapshot",
    "Packagesongbook",
    "Packagesoul",
    "Packagesoyombo",
    "Packagespie",
    "Packagesplitbib",
    "Packagesplitindex",
    "Packagesprite",
    "Packagesrcltx",
    "Packagesseq",
    "Packagessqquote",
    "Packagestack",
    "Packagestartex",
    "Packagestatistik",
    "Packagestdclsdv",
    "Packagestdpage",
    "Packagestmaryrd",
    "Packagestruktex",
    "Packagesttools",
    "Packagesubeqn",
    "Packagesubeqnarray",
    "Packagesubfig",
    "Packagesubfigure",
    "Packagesubfloat",
    "Packagesubstr",
    "Packagesupertabular",
    "Packagesvn",
    "Packagesvninfo",
    "Packageswebib",
    "Packageswimgraf",
    "Packageswitcheml",
    "Packagesymbol",
    "Packagesyntax",
    "Packagesynttree",
    "Packaget2",
    "PackageTabbing",
    "Packagetableaux",
    "Packagetabvar",
    "Packagetangles",
    "Packagetap",
    "Packagetaupin",
    "Packagetcldoc",
    "Packagetechnics",
    "Packagetemplate",
    "Packagetengwar",
    "Packagetensor",
    "Packageteubner",
    "Packagetex4ht",
    "Packagetexdraw",
    "Packagetexinfo",
    "Packagetexlogos",
    "Packagetexpower",
    "Packagetexps",
    "Packagetexshade",
    "Packagetexsis",
    "Packagetextfit",
    "Packagetextmerg",
    "Packagetextopo",
    "Packagetextpos",
    "Packagethumb",
    "Packagethumbpdf",
    "Packageticket",
    "Packagetimes",
    "Packagetimescyr",
    "Packagetimesht",
    "Packagetimesnew",
    "Packagetiming",
    "Packagetipa",
    "Packagetitlefoot",
    "Packagetitlesec",
    "Packagetitling",
    "Packagetmmath",
    "Packagetocbibind",
    "Packagetocloft",
    "Packagetocvsec2",
    "Packagetodo",
    "Packagetokenizer",
    "Packagetoolbox",
    "Packagetools",
    "Packagetopfloat",
    "Packagetotpages",
    "Packagetpslifonts",
    "Packagetracking",
    "Packagetrajan",
    "Packagetreedvips",
    "Packagetreetex",
    "Packagetrfsigns",
    "Packagetrsym",
    "Packagettex",
    "Packagetugboat",
    "Packagetwoup",
    "Packagetxfonts",
    "Packagetype1cm",
    "Packagetypedref",
    "Packagetypespec",
    "Packagetypogrid",
    "Packageuaclasses",
    "Packageuhrzeit",
    "Packageukrhyph",
    "Packageulsy",
    "Packageumichthesis",
    "Packageumlaute",
    "Packageumoline",
    "Packageumrand",
    "Packageunderlin",
    "Packageundertilde",
    "Packageunicode",
    "Packageunits",
    "Packageunitsdef",
    "Packageunivers",
    "Packageuniversa",
    "Packageupquote",
    "Packageurlbst",
    "Packageurwvn",
    "Packageushort",
    "Packageutopia",
    "Packageuwthesis",
    "Packagevarindex",
    "Packagevdm",
    "Packagevector",
    "Packagevenn",
    "Packageverse",
    "Packageversions",
    "Packagevertex",
    "Packagevita",
    "Packagevmargin",
    "Packagevnr",
    "Packagevntex",
    "Packagevrb",
    "Packagevrsion",
    "Packagevtex",
    "Packagewadalab",
    "Packagewansong",
    "Packagewarning",
    "Packagewarpcol",
    "Packagewas",
    "Packagewasy",
    "Packagewasy2",
    "Packagewasysym",
    "Packagewebeq",
    "Packagewilliams",
    "Packagewnri",
    "Packagewntamil",
    "Packagewordcount",
    "Packagewsuipa",
    "Packagexbmc",
    "Packagexcolor",
    "Packagexdoc",
    "Packagexfrac",
    "Packagexinitials",
    "Packagexkeyval",
    "Packagexmlplay",
    "Packagexmltex",
    "Packagexmpincl",
    "Packagexor",
    "Packagexparse",
    "Packagextab",
    "Packagextcapts",
    "Packagextheorem",
    "Packagexymtex",
    "Packagexypic",
    "Packageyafoot",
    "Packageyannisgr",
    "Packageyfonts",
    "Packageyhmath",
    "Packageyi4latex",
    "Packageyorkthesis",
    "Packageyoungtab",
    "Packageyplan",
    "Packageytex",
    "Packagezapfchan",
    "Packagezapfding",
    "Packagezedcsp",
    "Packagezefonts",
    "TLCorebinafm2pl",
    "TLCorebinaleph",
    "TLCorebinamstex",
    "TLCorebinbibtex",
    "TLCorebinbibtex8",
    "TLCorebinbmeps",
    "TLCorebinbzip2",
    "TLCorebinchktex",
    "TLCorebincjkutils",
    "TLCorebincontext",
    "TLCorebincslatex",
    "TLCorebincsplain",
    "TLCorebinctie",
    "TLCorebincweb",
    "TLCorebincyrillic",
    "TLCorebindetex",
    "TLCorebindevnag",
    "TLCorebindialog",
    "TLCorebindiff",
    "TLCorebindtl",
    "TLCorebindvi2tty",
    "TLCorebindvicopy",
    "TLCorebindvidvi",
    "TLCorebindviljk",
    "TLCorebindvipdfm",
    "TLCorebindvipdfmx",
    "TLCorebindvipng",
    "TLCorebindvipsk",
    "TLCorebineplain",
    "TLCorebinetex",
    "TLCorebinfontware",
    "TLCorebingetafm",
    "TLCorebinghostscript",
    "TLCorebingrep",
    "TLCorebingsftopk",
    "TLCorebingsview",
    "TLCorebingzip",
    "TLCorebinimagemagick",
    "TLCorebinispell",
    "TLCorebinjadetex",
    "TLCorebinjpeg2ps",
    "TLCorebinkpathsea",
    "TLCorebinlacheck",
    "TLCorebinlatex",
    "TLCorebinlcdftypetools",
    "TLCorebinmakeindex",
    "TLCorebinmetafont",
    "TLCorebinmetapost",
    "TLCorebinmex",
    "TLCorebinmfware",
    "TLCorebinmltex",
    "TLCorebinmusixflx",
    "TLCorebinomega",
    "TLCorebinomegaware",
    "TLCorebinpatch",
    "TLCorebinpatgen",
    "TLCorebinpdftex",
    "TLCorebinpdftools",
    "TLCorebinperl",
    "TLCorebinphyse",
    "TLCorebinphyzzx",
    "TLCorebinplatex",
    "TLCorebinpngtools",
    "TLCorebinppower4",
    "TLCorebinps2pkm",
    "TLCorebinpstools",
    "TLCorebinpsutils",
    "TLCorebinsed",
    "TLCorebinseetexk",
    "TLCorebint1utils",
    "TLCorebintetex",
    "TLCorebintex",
    "TLCorebintex4htk",
    "TLCorebintexconfig",
    "TLCorebintexdoc",
    "TLCorebintexinfo",
    "TLCorebintexsis",
    "TLCorebintexware",
    "TLCorebinthumbpdf",
    "TLCorebintie",
    "TLCorebintifftools",
    "TLCorebinttf2pt1",
    "TLCorebinttfutils",
    "TLCorebinvlna",
    "TLCorebinweb",
    "TLCorebinwget",
    "TLCorebinwindvi",
    "TLCorebinxdvi",
    "TLCorebinxemacs",
    "TLCorebinxmltex",
    "TLCorebinxpdf",
    "TLCorecollectionbasic",
    "TLCorecollectionbibtexextra",
    "TLCorecollectionchemistry",
    "TLCorecollectioncontext",
    "TLCorecollectiondocbase",
    "TLCorecollectiondocczechslovak",
    "TLCorecollectiondocdutch",
    "TLCorecollectiondocenglish",
    "TLCorecollectiondocfinnish",
    "TLCorecollectiondocfrench",
    "TLCorecollectiondocgerman",
    "TLCorecollectiondocgreek",
    "TLCorecollectiondocitalian",
    "TLCorecollectiondocjapanese",
    "TLCorecollectiondockorean",
    "TLCorecollectiondocmongolian",
    "TLCorecollectiondocpolish",
    "TLCorecollectiondocportuguese",
    "TLCorecollectiondocrussian",
    "TLCorecollectiondocspanish",
    "TLCorecollectiondocukrainian",
    "TLCorecollectionextrabin",
    "TLCorecollectionfontbin",
    "TLCorecollectionfontsextra",
    "TLCorecollectionfontsrecommended",
    "TLCorecollectionformatsextra",
    "TLCorecollectiongames",
    "TLCorecollectiongenericextra",
    "TLCorecollectiongraphicstools",
    "TLCorecollectionhtmlxml",
    "TLCorecollectionlangafrican",
    "TLCorecollectionlangarab",
    "TLCorecollectionlangarmenian",
    "TLCorecollectionlangcjk",
    "TLCorecollectionlangcroatian",
    "TLCorecollectionlangcyrillic",
    "TLCorecollectionlangczechslovak",
    "TLCorecollectionlangdanish",
    "TLCorecollectionlangdutch",
    "TLCorecollectionlangfinnish",
    "TLCorecollectionlangfrench",
    "TLCorecollectionlanggerman",
    "TLCorecollectionlanggreek",
    "TLCorecollectionlanghebrew",
    "TLCorecollectionlanghungarian",
    "TLCorecollectionlangindic",
    "TLCorecollectionlangitalian",
    "TLCorecollectionlanglatin",
    "TLCorecollectionlangmanju",
    "TLCorecollectionlangmongolian",
    "TLCorecollectionlangnorwegian",
    "TLCorecollectionlangother",
    "TLCorecollectionlangpolish",
    "TLCorecollectionlangportuguese",
    "TLCorecollectionlangspanish",
    "TLCorecollectionlangswedish",
    "TLCorecollectionlangtibetan",
    "TLCorecollectionlangukenglish",
    "TLCorecollectionlangvietnamese",
    "TLCorecollectionlatex",
    "TLCorecollectionlatex3",
    "TLCorecollectionlatexextra",
    "TLCorecollectionlatexrecommended",
    "TLCorecollectionmathextra",
    "TLCorecollectionmetapost",
    "TLCorecollectionmusic",
    "TLCorecollectionomega",
    "TLCorecollectionpdfetex",
    "TLCorecollectionpictures",
    "TLCorecollectionplainextra",
    "TLCorecollectionpsutils",
    "TLCorecollectionpublishers",
    "TLCorecollectionttfutils",
    "TLCorecollectionxemtex",
    "TLCorehyphenbase",
    "TLCorehyphenbasque",
    "TLCorehyphencroatian",
    "TLCorehyphenczechslovak",
    "TLCorehyphendanish",
    "TLCorehyphendutch",
    "TLCorehyphenestonian",
    "TLCorehyphenfinnish",
    "TLCorehyphenfrench",
    "TLCorehyphengerman",
    "TLCorehyphengreek",
    "TLCorehyphenhungarian",
    "TLCorehyphenicelandic",
    "TLCorehyphenindonesian",
    "TLCorehyphenitalian",
    "TLCorehyphenlatin",
    "TLCorehyphenmongolian",
    "TLCorehyphennorwegian",
    "TLCorehyphenpolish",
    "TLCorehyphenportuguese",
    "TLCorehyphenromanian",
    "TLCorehyphenrussian",
    "TLCorehyphenserbian",
    "TLCorehyphenslovene",
    "TLCorehyphenspanish",
    "TLCorehyphenswedish",
    "TLCorehyphenturkish",
    "TLCorehyphenukenglish",
    "TLCorehyphenukrainian",
    "TLCorehyphenwelsh",
    "TLCorelibcompface",
    "TLCorelibfreetype2",
    "TLCorelibgd",
    "TLCorelibgeturl",
    "TLCorelibgnu",
    "TLCorelibgs",
    "TLCorelibjpeg",
    "TLCorelibmd5",
    "TLCorelibpng",
    "TLCorelibregex",
    "TLCorelibtexmfmp",
    "TLCorelibtiff",
    "TLCorelibttf",
    "TLCorelibxpdf",
    "TLCorelibxpm",
    "TLCorelibzlib",
    "TLCoreschemefull",
    NULL
};
