################################################################################
#
# Makefile  : 
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/11/12 17:23:58 popineau>
#
################################################################################
root_srcdir = ..
INCLUDE=$(INCLUDE);$(root_srcdir)

# This is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License, see the file COPYING.

# USE_GNUW32 = 1

!include <msvc/common.mak>

!if defined(XEMTEX)
builddir = $(root_srcdir)\tmp\setup-XEmTeX
!elseif defined(TEXLIVE)
builddir = $(root_srcdir)\tmp\setup-TeXLive
!elseif defined(XEMACS)
builddir = $(root_srcdir)\tmp\setup-XEmacs
!else
error "You must defined either XEmTeX, TeXLive or XEmacs."
!endif

!if defined(TEXLIVE) || defined(XEMTEX)
targets =  \
	$(builddir)\Binary\FinalizeDll.ibd \
#	$(builddir)\Binary\InstallCompressedDll.ibd
!endif

scripts =
libfiles =
includefiles =
manfiles = # foo.1
infofiles =
#
# Object files
#
objects = # $(objdir)\foo.obj

DEFS = $(DEFS) # -DFOO -I../foo

#
# Main target
#
all: $(targets)

#
# Link target. setargv.obj is provided in the compiler library directory.
#
$(builddir)\Binary\FinalizeDll.ibd: FinalizeDll.c schemes.h
	$(CC) -LD -Fe$(@) FinalizeDll.c msi.lib kernel32.lib user32.lib /link /nodefaultlib /entry:DllMain

$(builddir)\Binary\InstallCompressedDll.ibd: InstallCompressedDll.c
	$(CC) -LD -Fe$(@) $(**) msi.lib kernel32.lib /link /nodefaultlib /entry:DllMain


!include <msvc/config.mak>
!include <msvc/install.mak>

!include <msvc/clean.mak>
!include <msvc/rdepend.mak>
!include "./depend.mak"

# End of .mak
#
# Local Variables:
# mode: makefile
# End:
