################################################################################
#
# Makefile  : 
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/09/17 11:24:07 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

# This is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License, see the file COPYING.

USE_GNUW32 = 1
USE_GETURL = 1
USE_KPATHSEA = 1
USE_TEXMFMP = 1

!include <msvc/common.mak>

programs =  $(objdir)\bibtex.exe 
scripts =
libfiles =
includefiles =
manfiles = bibtex.1
infofiles =
#
# Object files
#
objects = $(objdir)\bibtex.obj $(objdir)\bibtex.res

DEFS = -I.. $(DEFS) -DHAVE_CONFIG_H

#
# Main target
#
all: $(objdir) $(programs)

#
# Link target. setargv.obj is provided in the compiler library directory.
#
$(objdir)\bibtex.exe: $(objects) $(objdir)\main.obj $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

bibtex.c bibtex.h: $(texk_srcdir)\web2c\cvtbib.sed bibtex.p $(web2c_texmf)
	$(web2c) bibtex

bibtex.p: $(tangle) bibtex.web bibtex.ch
	$(tangle) bibtex bibtex

check: $(objdir)\bibtex.exe
#	if not exist tests\exampl.aux $(copy) $(srcdir)\tests\exampl.aux tests\exampl.aux
	@echo <<bibtex-check.bat
@echo $(verbose)
set BSTINPUTS=..\tests
set BIBINPUTS=..\tests
rem set TEXMFCNF=..\kpathsea\texmf.cnf
.\$(objdir)\bibtex ..\tests\exampl
set BSTINPUTS=
set BIBINPUTS=
<<NOKEEP
	.\bibtex-check.bat

!include <msvc/config.mak>
!include <msvc/install.mak>

clean:: 
#	$(LIBTOOL) --mode=clean $(del) bibtex
	-@echo $(verbose) & ( \
		for %%i in ($(objdir)\bibtex.obj bibtex.c bibtex.h bibtex.p) do $(del) %%i $(redir_stderr) \
	)
	-@$(del) tests\exampl.blg tests\exampl.bbl $(redir_stderr)

!include <msvc/clean.mak>
!include <msvc/rdepend.mak>
!include "./depend.mak"

# End of .mak
#
# Local Variables:
# mode: makefile
# End:
