################################################################################
#
# Makefile  : 
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/09/21 09:22:08 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

# This is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License, see the file COPYING.

USE_GNUW32 = 1
USE_GETURL = 1
USE_KPATHSEA = 1
USE_TEXMFMP = 1

!include <msvc/common.mak>

!ifdef STATIC

programs =

targets = \
	$(objdir)\ctie.exe 

!else

programs = \
	$(objdir)\ctie.exe 

targets =

!endif

scripts =
libfiles =
includefiles =
manfiles = ctie.1
infofiles =
#
# Object files
#
objects = # $(objdir)\foo.obj

DEFS = -I.. $(DEFS) # -DFOO -I../foo

#
# Main target
#
all: $(objdir) $(programs) $(targets)

#
# Link target. setargv.obj is provided in the compiler library directory.
#
$(objdir)\ctie.exe: $(objdir)\ctie.obj $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

ctie.c: $(ctangle) ctie.w ctie-k.ch
	$(ctangle) ctie.w ctie-k.ch

!include <msvc/config.mak>
!include <msvc/install.mak>

clean::
#	$(LIBTOOL) --mode=clean $(del) ctie
	-@echo $(verbose) & ( \
		for %%i in ($(objdir)\ctie.obj ctie.c) do $(del) %%i $(redir_stderr) \
	)

!include <msvc/clean.mak>
!include <msvc/rdepend.mak>
!include "./depend.mak"

# End of .mak
#
# Local Variables:
# mode: makefile
# End:
