################################################################################
#
# Makefile  : 
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/09/17 11:28:40 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

# This is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License, see the file COPYING.

USE_GNUW32 = 1
USE_GETURL = 1
USE_KPATHSEA = 1
USE_TEXMFMP = 1

!include <msvc/common.mak>

programs =  $(objdir)\dvicopy.exe 
scripts =
libfiles =
includefiles =
manfiles = dvicopy.1
infofiles =
#
# Object files
#
objects = $(objdir)\dvicopy.obj $(objdir)\dvicopy.res

DEFS = -I.. $(DEFS) -DHAVE_CONFIG_H

#
# Main target
#
all: $(objdir) $(programs)

#
# Link target. setargv.obj is provided in the compiler library directory.
#
$(objdir)\dvicopy.exe: $(objects) $(objdir)\main.obj $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

dvicopy.c dvicopy.h: dvicopy.p $(web2c_texmf)
	$(web2c) dvicopy

dvicopy.p: $(tangle) dvicopy.web dvicopy.ch
	$(tangle) dvicopy dvicopy

check: $(objdir)\dvicopy.exe
	@echo <<dvicopy-check.bat
@echo $(verbose)
.\$(objdir)\dvicopy ..\tests\story ..\tests\xstory.dvi
# Redirect stderr so the terminal output will end up in the log file.
set TFMFONTS=..\tests
set VFFONTS=..\tests
.\$(objdir)\dvicopy < ..\tests\pplr.dvi > ..\tests\xpplr.dvi
set VFFONTS=
set TFMFONTS=
<<NOKEEP
	.\dvicopy-check.bat

!include <msvc/config.mak>
!include <msvc/install.mak>

clean:: 
#	$(LIBTOOL) --mode=clean $(del) dvicopy
	-@echo $(verbose) & ( \
		for %%i in ($(objdir)\dvicopy.obj dvicopy.c dvicopy.h dvicopy.p) do $(del) %%i $(redir_stderr) \
	)
	-@$(del) tests\xstory.dvi tests\xpplr.dvi $(redir_stderr)

!include <msvc/clean.mak>
!include <msvc/rdepend.mak>
!include "./depend.mak"

# End of .mak
#
# Local Variables:
# mode: makefile
# End:
