################################################################################
#
# Makefile  : Dvipng
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/05/28 15:38:44 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

USE_GNUW32 = 1
USE_GSW32 = 1
USE_PNG = 1
USE_GD = 1
USE_ZLIB = 1
USE_FREETYPE2 = 1
USE_KPATHSEA = 1

!include <msvc/common.mak>

DEFS = -I. $(DEFS) -DDEBUG

programs = $(objdir)\dvipng.exe
includefiles = 
manfiles = 
infofiles = 
installinfoflags = 

objects= $(objdir)\color.obj	\
      $(objdir)\draw.obj	\
      $(objdir)\dvi.obj		\
      $(objdir)\dvipng.obj	\
      $(objdir)\enc.obj		\
      $(objdir)\font.obj	\
      $(objdir)\fontmap.obj	\
      $(objdir)\ft.obj		\
      $(objdir)\misc.obj	\
      $(objdir)\papersiz.obj	\
      $(objdir)\pk.obj		\
      $(objdir)\ppagelist.obj	\
      $(objdir)\set.obj		\
      $(objdir)\special-w32.obj	\
      $(objdir)\tfm.obj		\
      $(objdir)\vf.obj

default: all

all: $(objdir) $(programs)

$(objdir)\dvipng.exe: $(objects) $(kpathsealib) $(gdlib) $(freetype2lib) $(gsw32lib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

!include <msvc/config.mak>
!include <msvc/install.mak>

install:: install-exec

!include <msvc/clean.mak>

!include <msvc/rdepend.mak>
!include "./depend.mak"

#
# Local Variables:
# mode: makefile
# End: