################################################################################
#
# Makefile  : 
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/09/17 12:18:25 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

# This is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License, see the file COPYING.

USE_GNUW32 = 1
USE_GETURL = 1
USE_KPATHSEA = 1
USE_TEXMFMP = 1
USE_TEX = 1

!include <msvc/common.mak>

programs =  $(objdir)\etex.exe 
!ifdef TEX_DLL
programs = $(programs) $(objdir)\$(library_prefix)etex.dll
libfiles = $(objdir)\$(library_prefix)etex.lib
!endif
manfiles = etex.1
#
# Object files
#
objects = $(objdir)\etex.obj $(objdir)\main.obj

DEFS = -I.. $(DEFS) -DTEX_ENGINE -DHAVE_CONFIG_H # -DFOO -I../foo

#
# Main target
#
all: $(objdir) $(programs)

!ifdef TEX_DLL
$(objdir)\$(library_prefix)etex.exp: $(objdir)\$(library_prefix)etex.lib

$(objdir)\$(library_prefix)etex.lib: $(objdir)\etex.obj
	$(archive) /DEF $(objdir)\etex.obj

$(objdir)\$(library_prefix)etex.dll: $(objdir)\etex.obj $(objdir)\$(library_prefix)etex.exp $(objdir)\etex.res $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link_dll) $(**) $(socketlibs) $(conlibs)

$(objdir)\etex.exe: $(objdir)\main.obj $(objdir)\$(library_prefix)etex.lib $(texmfmplib)
	$(link) $(**) $(conlibs)
!else
$(objdir)\etex.exe: $(objdir)\etex.obj $(objdir)\main.obj $(objdir)\etex.res $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(socketlibs) $(conlibs)
!endif

etex.c etexcoerce.h etexd.h: etex.p $(web2c_texmf) etexextra.h
	$(web2c) etex

etex.p etex.pool: $(tangle) etex.web xetex.ch
	$(tangle) etex.web xetex.ch

etex_files = ..\tex\tex.web etex.ch etex.fix

etex_changefiles = \
	tex.ch0		\
	..\tex\tex.ch	\
#	..\tex\tex-supp-w32.ch	\
	tex.ch1		\
	tex.ech

# Generation of the web and ch file.
etex.web: $(tie) $(etex_files)
	$(tie) -m etex.web $(etex_files)

xetex.ch: $(tie) etex.web $(etex_changefiles)
	$(tie) -c xetex.ch etex.web $(etex_changefiles)

etexextra.h: etexextra.in
	$(perl) $(win32perldir)\configure-version.pl $(**) $@

etex.rc: etex.rc.in
	$(perl) $(win32perldir)\configure-version.pl $(**) $@

# FIXME: use perl to compute this
# # Extract etex version
# etexdir/etex.version: etexdir/etex.ch
# 	grep '^@d eTeX_version_string==' $(srcdir)/etexdir/etex.ch \
# 	  | sed -e "s/^.*'-//" -e "s/'.*$$//" \
# 	  >etexdir/etex.version

# etexdir/etexextra.h: etexdir/etexextra.in etexdir/etex.version
# 	test -d etexdir || mkdir etexdir
# 	sed s/ETEX-VERSION/`cat etexdir/etex.version`/ \
# 	  $(srcdir)/etexdir/etexextra.in >$@


# FIXME
check: etrip
	@echo <<.\etex-check.bat
@echo off
rem Test truncation (but don't bother showing the warning msg).
.\$(objdir)\etex --progname=etex --output-comment="$(outcom)" ../tests/hello
..\texware\$(objdir)\dvitype hello.dvi | grep olaf@infovore.xs4all.nl >nul
rem \openout should show up in \write's.
.\$(objdir)\etex --progname=etex ../tests/openout && grep xfoo openout.log
rem one.two.tex -> one.two.log
.\$(objdir)\etex --progname=etex ../tests/one.two && dir /w one.two.log
rem uno.dos -> uno.log
.\$(objdir)\etex --progname=etex ../tests/uno.dos && dir /w uno.log
.\$(objdir)\etex --progname=etex ../tests/just.texi && dir /w just.log
-.\$(objdir)\etex --progname=etex ../tests/batch.tex
.\$(objdir)\etex --progname=etex --shell ../tests/write18 | grep echo
rem tcx files are a bad idea.
rem .\$(objdir)\etex --translate-file=$(srcdir)/share/isol1-t1.tcx ../tests/eight && ./dvitype eight.dvi >eigh.typ
.\$(objdir)\etex --mltex --ini ../tests/mltextst
.\$(objdir)\etex --progname=etex <nul
set PATH=$(kpathsea_dir);$(kpathsea_srcdir);$(PATH)
set WEB2C=$(kpathsea_srcdir)
set TMPDIR=..
.\$(objdir)\etex --progname=etex "\nonstopmode\font\foo=nonesuch\end"
<<NOKEEP
	-@cmd /c .\etex-check.bat

#etrip
testdir = ..\triptrap
etestdir = .\etrip
dvitype_args = -output-level=2 -dpi=72.27 -page-start="*.*.*.*.*.*.*.*.*.*"

etrip: ..\texware\$(objdir)\pltotf.exe ..\texware\$(objdir)\tftopl.exe $(objdir)\etex.exe ..\texware\$(objdir)\dvitype.exe etrip-clean
	@echo ">>> See $(etestdir)\etrip.diffs for example of acceptable diffs."
	@echo <<.\etrip.bat
@echo "*** TRIP test for e-TeX in compatibility mode ***."
..\texware\$(objdir)\pltotf $(testdir)\trip.pl trip.tfm
..\texware\$(objdir)\tftopl .\trip.tfm trip.pl
$(diff) $(testdir)\trip.pl trip.pl
rem Get same filename in log
$(del) trip.tex & $(copy) $(testdir)\trip.tex . $(redir_stderr)
set TEXMFCNF=$(testdir)
.\$(objdir)\etex -ini <$(testdir)\trip1.in >ctripin.fot
$(copy) trip.log ctripin.log & $(del) trip.log
$(diff) $(testdir)\tripin.log ctripin.log
.\$(objdir)\etex <$(testdir)\trip2.in >ctrip.fot
$(copy) trip.log ctrip.log & $(del) trip.log
$(diff) $(testdir)\trip.fot ctrip.fot
$(diff) $(diffflags) $(testdir)\trip.log ctrip.log
..\texware\$(objdir)\dvitype $(dvitype_args) trip.dvi >ctrip.typ
$(diff) $(diffflags) $(testdir)\trip.typ ctrip.typ
@echo "*** TRIP test for e-TeX in extended mode ***."
.\$(objdir)\etex -ini <$(etestdir)\etrip1.in >xtripin.fot
$(copy) trip.log xtripin.log & $(del) trip.log
$(diff) ctripin.log xtripin.log
.\$(objdir)\etex <$(etestdir)\trip2.in >xtrip.fot
$(copy) trip.log xtrip.log & $(del) trip.log
$(diff) ctrip.fot xtrip.fot
$(diff) $(diffflags) ctrip.log xtrip.log
..\texware\$(objdir)\dvitype $(dvitype_args) trip.dvi >xtrip.typ
$(diff) $(diffflags) ctrip.typ xtrip.typ
@echo "*** e-TeX specific part of e-TRIP test ***."
..\texware\$(objdir)\pltotf $(etestdir)\etrip.pl etrip.tfm
..\texware\$(objdir)\tftopl .\etrip.tfm etrip.pl
$(diff) $(etestdir)\etrip.pl etrip.pl
rem Get same filename in log
$(del) \f etrip.tex & $(copy) $(etestdir:/=\)\etrip.tex . 
.\$(objdir)\etex -ini <$(etestdir)\etrip2.in >etripin.fot
$(copy) etrip.log etripin.log & $(del) etrip.log
$(diff) $(etestdir)\etripin.log etripin.log
.\$(objdir)\etex <$(etestdir)\etrip3.in >etrip.fot
$(diff) $(etestdir)\etrip.fot etrip.fot
$(diff) $(diffflags) $(etestdir)\etrip.log etrip.log
<<KEEP
	-@cmd /c .\etrip.bat

!include <msvc/config.mak>
!include <msvc/install.mak>

# Installation.
install::
	@$(copy) etex.pool "$(texpooldir)\etex.pool" $(redir_stdout)

clean::
	-@echo $(verbose) & ( \
		for %%i in ($(etex_o) etex.c etexextra.c etexcoerce.h etexd.h \
			    etex.p etex.pool etex.web xetex.ch \
			    etex.fmt etex.log etexextra.h etex.rc \
			    hello.dvi hello.log xfoo.out openout.log one.two.log uno.log \
			    just.log batch.log write18.log mltextst.log texput.log \
			    missfont.log) do $(del) %%i $(redir_stderr) \
	)
	-@$(deldir) tfm $(redir_stderr)

# Cleaning up for the etrip.
etrip-clean:
	-@echo $(verbose) & ( \
		for %%i in (trip.tfm trip.pl trip.tex trip.fmt ctripin.fot ctripin.log \
			    ctrip.fot ctrip.log trip.dvi ctrip.typ \
			    xtripin.fot xtripin.log \
			    xtrip.fot xtrip.log xtrip.typ \
			    etrip.tfm etrip.pl etrip.tex etrip.fmt etripin.fot etripin.log \
			    etrip.fot etrip.log etrip.dvi etrip.out etrip.typ \
			    tripos.tex 8terminal.tex) do $(del) %%i $(redir_stderr) \
	)
	-@$(deldir) tfm $(redir_stderr)

!include <msvc/clean.mak>
!include <msvc/rdepend.mak>
!include "./depend.mak"

# End of .mak
#
# Local Variables:
# mode: makefile
# End:
