################################################################################
#
# Makefile  : 
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/10/26 00:55:34 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

# This is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License, see the file COPYING.

USE_GNUW32 = 1
USE_GETURL = 1
USE_KPATHSEA = 1
USE_TEXMFMP = 1

!include <msvc/common.mak>

programs =  $(objdir)\vftovp.exe $(objdir)\vptovf.exe 
scripts =
libfiles =
includefiles =
manfiles = vftovp.1 vptovf.1
infofiles =
#
# Object files
#
objects = $(objdir)\vftovp.obj $(objdir)\vftovp.res

DEFS = -I.. $(DEFS) -DHAVE_CONFIG_H

#
# Main target
#
all: $(objdir) $(programs)

#
# Link target. setargv.obj is provided in the compiler library directory.
#
$(objdir)\vftovp.exe: $(objdir)\vftovp.obj $(objdir)\vftovp.res $(objdir)\main.obj $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

$(objdir)\vptovf.exe: $(objdir)\vptovf.obj $(objdir)\vptovf.res $(objdir)\main.obj $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

vftovp.c vftovp.h: vftovp.p $(web2c_texmf)
	$(web2c) vftovp

vptovf.c vptovf.h: vptovf.p $(web2c_texmf)
	$(web2c) vptovf

vftovp.p: $(tangle) vftovp.web vftovp.ch
	$(tangle) vftovp vftovp

vptovf.p: $(tangle) vptovf.web vptovf.ch
	$(tangle) vptovf vptovf

check:: check-vftovp check-vptovf

check-vftovp: $(objdir)\vftovp.exe
#	if not exist tests\exampl.aux $(copy) $(srcdir)\tests\exampl.aux tests\exampl.aux
	@echo <<vftovp-check.bat
@echo $(verbose)
set TFMFONTS=..\tests
	.\$(objdir)\vftovp -verbose ..\tests\ptmr ptmr ..\tests\xptmr
set TFMFONTS=
<<NOKEEP
	.\vftovp-check.bat

check-vptovf: $(objdir)\vptovf.exe
#	if not exist tests\exampl.aux $(copy) $(srcdir)\tests\exampl.aux tests\exampl.aux
	@echo <<vptovf-check.bat
@echo $(verbose)
set TFMFONTS=..\tests
	.\$(objdir)\vptovf -verbose ..\tests\ptmr ptmr ..\tests\xptmr
set TFMFONTS=
<<NOKEEP
	.\vptovf-check.bat

!include <msvc/config.mak>
!include <msvc/install.mak>

clean:: 
#	$(LIBTOOL) --mode=clean $(del) vftovp
	-@echo $(verbose) & ( \
		for %%i in ($(objdir)\vftovp.obj vftovp.c vftovp.h vftovp.p \
                            $(objdir)\vptovf.obj vptovf.c vptovf.h vptovf.p) do $(del) %%i $(redir_stderr) \
	)
	-@$(del) tests\xptmr.vpl tests\xptmr.vf tests\xptmr.tfm $(redir_stderr)

!include <msvc/clean.mak>
!include <msvc/rdepend.mak>
!include "./depend.mak"

# End of .mak
#
# Local Variables:
# mode: makefile
# End:
