################################################################################
#
# Makefile  : 
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/09/17 12:19:51 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

# This is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License, see the file COPYING.

USE_GNUW32 = 1
USE_GETURL = 1
USE_KPATHSEA = 1
USE_TEXMFMP = 1

!include <msvc/common.mak>

programs =  \
	$(objdir)\gftodvi.exe	\
	$(objdir)\gftopk.exe	\
	$(objdir)\pktogf.exe	\
	$(objdir)\gftype.exe	\
	$(objdir)\pktype.exe	\
	$(objdir)\mft.exe

scripts =
libfiles =
includefiles =
manfiles = gftodvi.1 gftopk.1 pktogf.1 gftype.1 pktype.1 mft.1
infofiles =
#
# Object files
#
objects = \
	$(objdir)\gftodvi.obj $(objdir)\gftodvi.res \
	$(objdir)\gftopk.obj $(objdir)\gftopk.res \
	$(objdir)\pktogf.obj $(objdir)\pktogf.res \
	$(objdir)\gftype.obj $(objdir)\gftype.res \
	$(objdir)\pktype.obj $(objdir)\pktype.res \
	$(objdir)\mft.obj $(objdir)\mft.res


DEFS = -I.. $(DEFS) -DHAVE_CONFIG_H

#
# Main target
#
all: $(objdir) $(programs)

$(objdir)\gftodvi.exe: $(objdir)\main.obj $(objdir)\gftodvi.obj $(objdir)\gftodvi.res $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)
gftodvi.c gftodvi.h: $(web2c_common) $(web2c_programs) gftodvi.p
	$(web2c) gftodvi
gftodvi.p: $(tangle) gftodvi.web gftodvi.ch
	$(tangle) gftodvi gftodvi


$(objdir)\gftopk.exe: $(objdir)\main.obj $(objdir)\gftopk.obj $(objdir)\gftopk.res $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)
gftopk.c gftopk.h: gftopk.p $(web2c_texmf)
	$(web2c) gftopk
gftopk.p: $(tangle) gftopk.web gftopk.ch
	$(tangle) gftopk gftopk

$(objdir)\pktogf.exe: $(objdir)\main.obj $(objdir)\pktogf.obj $(objdir)\pktogf.res $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)
pktogf.c pktogf.h: pktogf.p $(web2c_texmf)
	$(web2c) pktogf
pktogf.p: $(tangle) pktogf.web pktogf.ch
	$(tangle) pktogf pktogf

$(objdir)\gftype.exe: $(objdir)\main.obj $(objdir)\gftype.obj $(objdir)\gftype.res $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)
gftype.c gftype.h: gftype.p $(web2c_texmf)
	$(web2c) gftype
gftype.p: $(tangle) gftype.web gftype.ch
	$(tangle) gftype gftype

$(objdir)\pktype.exe: $(objdir)\main.obj $(objdir)\pktype.obj $(objdir)\pktype.res $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)
pktype.c pktype.h: pktype.p $(web2c_texmf)
	$(web2c) pktype
pktype.p: $(tangle) pktype.web pktype.ch
	$(tangle) pktype pktype

$(objdir)\mft.exe: $(objdir)\main.obj $(objdir)\mft.obj $(objdir)\mft.res $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)
mft.c mft.h: mft.p $(web2c_texmf)
	$(web2c) mft
mft.p: $(tangle) mft.web mft.ch
	$(tangle) mft mft


check: gftodvi-check gftopk-check pktogf-check gftype-check pktype-check

gftodvi-check: $(objdir)\gftodvi.exe
	@echo <<gftodvi-check.bat
@echo $(verbose)
set TFMFONTS=..\tests
.\$(objdir)\gftodvi -verbose ..\tests\cmr10.600gf
$(move) cmr10.dvi ..\tests\xcmr10.dvi
<<NOKEEP
	.\gftodvi-check.bat

gftopk-check: $(objdir)\gftopk.exe
	.\$(objdir)\gftopk -verbose ..\tests\cmr10.600gf ..\tests\xcmr10.pk
	.\$(objdir)\gftopk ..\tests\cmr10.600gf cmr10.pk & $(del) cmr10.pk

pktogf-check: $(objdir)\pktogf.exe
	.\$(objdir)\pktogf -verbose ..\tests\cmr10.pk ..\tests\xcmr10.600gf
	.\$(objdir)\pktogf ..\tests\cmr10.pk & $(del) cmr10.gf

gftype-check: tex.pool
	.\$(objdir)\gftype ..\tests\cmr10.600gf >..\tests\xcmr10.gft1
	.\$(objdir)\gftype -m -i ..\tests\cmr10.600gf >..\tests\xcmr10.gft2

pktype-check: $(objdir)\pktogf.exe
	.\$(objdir)\pktype ..\tests\cmr10.pk >..\tests\xcmr10.pktyp

mft-check: $(objdir)\mft.exe
	.\$(objdir)\mft ..\tests\io & $(move) io.tex ..\tests\io.tex

!include <msvc/config.mak>
!include <msvc/install.mak>

clean::
	-@echo $(verbose) & ( \
		for %%i in ($(objdir)\gftodvi.obj gftodvi.c gftodvi.h gftodvi.p \
                            $(objdir)\gftopk.obj gftopk.c gftopk.h gftopk.p \
			    $(objdir)\pktogf.obj pktogf.c pktogf.h pktogf.p \
			    $(objdir)\gftype.obj gftype.c gftype.h gftype.p \
			    $(objdir)\pktype.obj pktype.c pktype.h pktype.p \
			    $(objdir)\mft.obj mft.c mft.h mft.p) do $(del) %%i $(redir_stderr) \
	)
	-@$(del) ..\tests\xcmr10.dvi $(redir_stderr)
	-@$(del) ..\tests\xcmr10.pk $(redir_stderr)
	-@$(del) ..\tests\xcmr10.gft1 ..\tests\xcmr10.gft2 $(redir_stderr)
	-@$(del) ..\tests\xcmr10.600gf $(redir_stderr)
	-@$(del) ..\tests\xcmr10.pktyp $(redir_stderr)
	-@$(del) ..\tests\io.tex $(redir_stderr)

!include <msvc/clean.mak>
!include <msvc/rdepend.mak>
!include "./depend.mak"

# End of .mak
#
# Local Variables:
# mode: makefile
# End:
