/* The help messages for TeX & MF family of programs.

Copyright (C) 1995, 96 Karl Berry, 2001 O.Weber.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

#ifndef TEXMFMP_HELP
#define TEXMFMP_HELP

const_string MPHELP[] = {
    "Usage: mpost [OPTION]... [MPNAME[.mp]] [COMMANDS]",
    "   or: mpost [OPTION]... \\FIRST-LINE",
    "   or: mpost [OPTION]... &MEM ARGS",
    "  Run MetaPost on MPNAME, usually creating MPNAME.NNN (and perhaps",
    "  MPNAME.tfm), where NNN are the character numbers generated.",
    "  Any remaining COMMANDS are processed as MetaPost input,",
    "  after MPNAME is read.",
    "  If the first line of MPNAME is %&MEM, and MEM is an existing .mem file,",
    "  use it.  Else use `NAME.mem', where NAME is the program invocation name,",
    "  most commonly `mp'.",
    "",
    "  Alternatively, if the first non-option argument begins with a backslash,",
    "  interpret all non-option arguments as a line of MetaPost input.",
    "",
    "  Alternatively, if the first non-option argument begins with a &, the",
    "  next word is taken as the MEM to read, overriding all else.  Any",
    "  remaining arguments are processed as above.",
    "",
    "  If no arguments or options are specified, prompt for input.",
    "",
    "[-no]-file-line-error   disable/enable file:line:error style messages",
    "-halt-on-error          stop processing at the first error",
    "-ini                    be inimpost, for dumping mems; this is implicitly",
    "                          true if the program name is `inimpost'",
    "-interaction=STRING     set interaction mode (STRING=batchmode/nonstopmode/",
    "                          scrollmode/errorstopmode)",
    "-jobname=STRING         set the job name to STRING",
#ifdef JOBTIME
    "-jobtime=FILENAME       set the job time by taking FILENAME's timestamp as the reference",
#endif
    "-kpathsea-debug=NUMBER  set path searching debugging flags according to",
    "                          the bits of NUMBER",
    "-mem=MEMNAME            use MEMNAME instead of program name or a %& line",
#ifdef OEM
    "-oem                    use DOS codepage for console output.\n",
#endif
    "-output-directory=DIR   use DIR as the directory to write files to",
    "[-no]-parse-first-line  disable/enable parsing of the first line of the",
    "                          input file",
    "-progname=STRING        set program (and mem) name to STRING",
    "-recorder               enable filename recorder",
    "-tex=TEXPROGRAM         use TEXPROGRAM for text labels.",
#ifdef TIME_STATS
    "-time-statistics        print processing time statistics about the current job",
#endif
    "-translate-file=TCXNAME use the TCX file TCXNAME",
    "-8bit                   make all characters printable by default",
    "-T, -troff              set the prologues variable, use `makempx -troff'",
    "-help                   display this help and exit",
    "-version                output version information and exit",
    NULL
};

#endif /* TEXMFMP_HELP */
