################################################################################
#
# Makefile  : Web2C / mpware
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/09/17 12:20:28 popineau>
#
################################################################################
root_srcdir =  ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

USE_GNUW32 = 1
USE_GETURL = 1
USE_KPATHSEA = 1
USE_TEXMFMP = 1

!include <msvc/common.mak>

DEFS = -I.. $(DEFS) -DHAVE_CONFIG_H

programs = $(objdir)\dmp.exe $(objdir)\mpto.exe $(objdir)\dvitomp.exe

manfiles = dmp.1 dvitomp.1 makempx.1 mpto.1

default: all

all: $(objdir) $(programs) 

$(objdir)\dmp.exe: $(objdir)\dmp.obj $(objdir)\dmp.res $(texmfmplib) $(kpathsealib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

$(objdir)\mpto.exe: $(objdir)\mpto.obj $(objdir)\mpto.res $(texmfmplib) $(kpathsealib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

$(objdir)\dvitomp.exe: $(objdir)\main.obj $(objdir)\dvitomp.obj $(objdir)\dvitomp.res $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

dvitomp.c dvitomp.h: dvitomp.p $(web2c_texmf)
	$(web2c) dvitomp

dvitomp.p: $(tangle) dvitomp.web dvitomp.ch
	$(tangle) dvitomp dvitomp

# $(objdir)\newer.exe: $(objdir)\newer.obj $(texmfmplib) $(gnuw32lib)
#	$(link) $(**) $(conlibs)

# $(objdir)\newer.obj: newer.c
#	$(compile) -UKPSE_DLL newer.c

checkdir = $(srcdir)\..\tests
check:: $(objdir)\mpto.exe $(objdir)\dmp.exe # $(objdir)\newer.exe 
	pushd $(root_srcdir)\texk\contrib & $(make) $(objdir)\makempx.exe & popd
	$(top_srcdir)\contrib\$(objdir)\makempx $(checkdir)/label.mp $(checkdir)/xlabel.mpx
	.\$(objdir)\mpto -tex $(checkdir)/testex.mp | diff $(checkdir)/testex.tex -
	$(sed) '16s/^%//' <$(checkdir)/testex.mp >testex1
	-.\$(objdir)\mpto -tex testex1 >nul 2>testex2
	$(sed) '17s/^%//' <$(checkdir)/testex.mp >testex1
	-.\$(objdir)\mpto -tex testex1 >nul 2>>testex2
	$(sed) '18s/^%//' <$(checkdir)/testex.mp >testex1
	-.\$(objdir)\mpto -tex testex1 >nul 2>>testex2
	$(sed) '19s/^%//' <$(checkdir)/testex.mp >testex1
	-.\$(objdir)\mpto -tex testex1 >nul 2>>testex2
	$(sed) '20s/^%//' <$(checkdir)/testex.mp >testex1
	-.\$(objdir)\mpto -tex testex1 >nul 2>>testex2
	$(diff) $(checkdir)/testex.err testex2
	-@$(del) testex1 testex2

check:: $(objdir)\dvitomp.exe
	@echo <<.\dvitomp-check.bat
@echo $(verbose)
set TFMFONTS=$(checkdir)
set VFFONTS=$(checkdir)
.\$(objdir)\dvitomp $(checkdir)\story.dvi $(checkdir)\xstory.mpx
.\$(objdir)\dvitomp $(checkdir)\ptmr
$(move) ptmr.mpx tests\xptmr.mpx
set TFMFONTS=
set VFFONTS=
<<NOKEEP
	.\dvitomp-check.bat


#Makefile: Makefile.in ../config.status
#	(cd ..; sh config.status)

!include <msvc/config.mak>
!include <msvc/install.mak>

!include <msvc/clean.mak>

clean::
	-@echo $(verbose) & ( \
		for %%i in ($(objdir)\dvitomp.obj dvitomp.c dvitomp.h dvitomp.p) do $(del) %%i $(redir_stderr) \
	)
	-@$(del) tests\xstory.mpx tests\xptmr.mpx $(redir_stderr)


!include <msvc/rdepend.mak>
!include "./depend.mak"

# Local Variables:
# mode: Makefile
# End:
