################################################################################
#
# Makefile  : Web2C / Omega / Omegafonts
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/09/02 00:35:13 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

USE_KPATHSEA = 1
USE_GNUW32 = 1
USE_TEXMFMP = 1

# These get expanded from the parent directory, not this one.
!include <msvc/common.mak>

DEFS = -I.. $(DEFS) -DHAVE_CONFIG_H

programs = \
	$(objdir)\ofm2opl.exe $(objdir)\opl2ofm.exe \
	$(objdir)\ovf2ovp.exe $(objdir)\ovp2ovf.exe

all: $(objdir) $(programs)

!ifdef USE_OLD_OMEGA_PROGRAMS

$(objdir)\ofm2opl.exe: $(objdir)\main.obj $(objdir)\ofm2opl.obj $(objdir)\ofm2opl.res $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)
ofm2opl.c ofm2opl.h: ofm2opl.p $(web2c_texmf)
	$(web2c) ofm2opl
ofm2opl.p: $(tangle) ofm2opl.web ofm2opl.ch
	$(tangle) ofm2opl ofm2opl

$(objdir)\opl2ofm.exe: $(objdir)\main.obj $(objdir)\opl2ofm.obj $(objdir)\opl2ofm.res $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)
opl2ofm.c opl2ofm.h: opl2ofm.p $(web2c_texmf)
	$(web2c) opl2ofm
opl2ofm.p: $(tangle) opl2ofm.web opl2ofm.ch
	$(tangle) opl2ofm opl2ofm

$(objdir)\ovf2ovp.exe: $(objdir)\main.obj $(objdir)\ovf2ovp.obj $(objdir)\ovf2ovp.res $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)
ovf2ovp.c ovf2ovp.h: ovf2ovp.p $(web2c_texmf)
	$(web2c) ovf2ovp
ovf2ovp.p: $(tangle) ovf2ovp.web ovf2ovp.ch
	$(tangle) ovf2ovp ovf2ovp

$(objdir)\ovp2ovf.exe: $(objdir)\main.obj $(objdir)\ovp2ovf.obj $(objdir)\ovp2ovf.res $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)
ovp2ovf.c ovp2ovf.h: ovp2ovf.p $(web2c_texmf)
	$(web2c) ovp2ovf
ovp2ovf.p: $(tangle) ovp2ovf.web ovp2ovf.ch
	$(tangle) ovp2ovf ovp2ovf

!else

LEX_OUTPUT_ROOT = lex_yy

omfonts_objects = $(objdir)\omfonts.obj $(objdir)\y_tab.obj 			\
		  $(objdir)\$(LEX_OUTPUT_ROOT).obj $(objdir)\char_routines.obj	\
		  $(objdir)\dimen_routines.obj $(objdir)\error_routines.obj 	\
                  $(objdir)\header_routines.obj $(objdir)\ligkern_routines.obj	\
		  $(objdir)\list_routines.obj $(objdir)\out_routines.obj	\
		  $(objdir)\param_routines.obj $(objdir)\print_routines.obj	\
                  $(objdir)\font_routines.obj $(objdir)\extra_routines.obj 	\
		  $(objdir)\out_ofm.obj $(objdir)\parse_ofm.obj

$(objdir)\omfonts.exe: $(omfonts_objects) $(texmfmplib) $(kpathsealib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

$(objdir)\ofm2opl.exe: $(objdir)\omfonts.exe
	@$(copy) $(**) $(@)

$(objdir)\opl2ofm.exe: $(objdir)\omfonts.exe
	@$(copy) $(**) $(@)

$(objdir)\ovf2ovp.exe: $(objdir)\omfonts.exe
	@$(copy) $(**) $(@)

$(objdir)\ovp2ovf.exe: $(objdir)\omfonts.exe
	@$(copy) $(**) $(@)

$(objdir)\omfonts.obj: omfonts.c y_tab.h

y_tab.c y_tab.h: pl.y
	$(yacc) -d -v $(srcdir)\pl.y -o y_tab.c

$(objdir)\$(LEX_OUTPUT_ROOT).obj: parser.h

$(LEX_OUTPUT_ROOT).c: pl.l
	$(lex) -t $(srcdir)\pl.l | sed "/^extern int isatty YY/d" > $(LEX_OUTPUT_ROOT).c

!endif

ofm2opl-check: $(objdir)\ofm2opl.exe
#

opl2ofm-check: $(objdir)\opl2ofm.exe
#

ovf2ovp-check: $(objdir)\ovf2ovp.exe
#

ovp2ovf-check: $(objdir)\ovp2ovf.exe
#

!include <msvc/config.mak>
!include <msvc/install.mak>

install:: install-exec

!include <msvc/clean.mak>

clean::
	-@echo $(verbose) & ( \
		for %%i in (y_tab.c y_tab.h y.output yacc.* $(LEX_OUTPUT_ROOT).c \
                            $(objdir)\pltotf.obj pltotf.c pltotf.h pltotf.p \
			    $(objdir)\tftopl.obj tftopl.c tftopl.h tftopl.p \
			    $(objdir)\pooltype.obj pooltype.c pooltype.h pooltype.p) do $(del) %%i $(redir_stderr) \
	)

!include <msvc/rdepend.mak>
!include "./depend.mak"

#
# Local Variables:
# mode: makefile
# End:
