################################################################################
#
# Makefile  : 
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/09/17 12:20:47 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

# This is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License, see the file COPYING.

USE_GNUW32 = 1
USE_GETURL = 1
USE_KPATHSEA = 1
USE_TEXMFMP = 1

!include <msvc/common.mak>

programs =  \
	$(objdir)\odvicopy.exe \
	$(objdir)\odvitype.exe \
	$(objdir)\otangle.exe

scripts =
libfiles =
includefiles =
manfiles =
infofiles =
#
# Object files
#
objects = \
	$(objdir)\odvicopy.obj $(objdir)\odvicopy.res \
	$(objdir)\odvitype.obj $(objdir)\odvitype.res \
	$(objdir)\otangle.exe

DEFS = -I.. $(DEFS) -DHAVE_CONFIG_H

#
# Main target
#
all: $(objdir) $(programs)

$(objdir)\odvicopy.exe: $(objdir)\main.obj $(objdir)\odvicopy.obj $(objdir)\odvicopy.res $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)
odvicopy.c odvicopy.h: $(web2c_common) $(web2c_programs) odvicopy.p
	$(web2c) odvicopy
odvicopy.p: $(tangle) odvicopy.web odvicopy.ch
	$(tangle) odvicopy odvicopy

$(objdir)\odvitype.exe: $(objdir)\main.obj $(objdir)\odvitype.obj $(objdir)\odvitype.res $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)
odvitype.c odvitype.h: $(web2c_common) $(web2c_programs) odvitype.p
	$(web2c) odvitype
odvitype.p: $(tangle) odvitype.web odvitype.ch
	$(tangle) odvitype odvitype

$(objdir)\otangle.exe: $(objdir)\main.obj $(objdir)\otangle.obj $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)
otangle.c otangle.h: otangle.p
	$(web2c) otangle
otangle.p: $(tangle) otangle.web otangle.ch
	$(tangle) otangle.web otangle.ch

clean:: otangle-clean
otangle-clean:
#	$(LIBTOOL) --mode=clean $(RM) otangle
	-@echo $(verbose) & ( \
		for %%i in ($(objdir)\otangle.obj otangle.c otangle.h otangle.p) do $(del) %%i $(redir_stderr) \
	)

check: odvicopy-check odvitype-check ofm2opl-check opl2ofm-check ovf2ovp-check ovp2ovf-check

odvicopy-check: $(objdir)\odvicopy.exe
#	.\$(objdir)\odvicopy $(srcdir)/tests/story tests/xstory.dvi
## Redirect stderr so the terminal output will end up in the log file.
#	(TFMFONTS=$(srcdir)/tests: ./odvicopy <$(srcdir)/tests/pplr.dvi \
#	  >tests/xpplr.dvi) 2>&1

odvitype-check: $(objdir)\odvitype.exe
#	.\$(objdir)\odvitype -show-opcodes $(srcdir)/tests/story >tests/xstory.dvityp
#	.\$(objdir)\odvitype --p=\*.\*.2 $(srcdir)/tests/pagenum.dvi >tests/xpagenum.typ


!include <msvc/config.mak>
!include <msvc/install.mak>

clean::
	-@echo $(verbose) & ( \
		for %%i in ($(objdir)\odvicopy.obj odvicopy.c odvicopy.h odvicopy.p \
			    $(objdir)\odvitype.obj odvitype.c odvitype.h odvitype.p \
			    $(objdir)\otangle.obj otangle.c otangle.h otangle.p) do $(del) %%i $(redir_stderr) \
	)
#	-@$(del) ..\tests\xstory.dvi ..\tests\xpplr.dvi
#	-@$(del) ..\tests\xstory.dvityp ..\tests\xpagenum.typ
	-@$(del) ..\tests\xstory.dvityp ..\tests\xpagenum.typ $(redir_stderr)
	-@$(del) ..\tests\xcmr10.tfm $(redir_stderr)
	-@$(del) ..\tests\xcmr10.pl $(redir_stderr)
	-@$(del) ..\tests\xtexpool.typ $(redir_stderr)

!include <msvc/clean.mak>
!include <msvc/rdepend.mak>
!include "./depend.mak"

# End of .mak
#
# Local Variables:
# mode: makefile
# End:
