################################################################################
#
# Makefile  : 
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/09/17 12:21:19 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

# This is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License, see the file COPYING.

USE_GNUW32 = 1
USE_GETURL = 1
USE_KPATHSEA = 1
USE_TEXMFMP = 1

!include <msvc/common.mak>

programs =  $(objdir)\patgen.exe 
scripts =
libfiles =
includefiles =
manfiles = patgen.1
infofiles =
#
# Object files
#
objects = $(objdir)\patgen.obj $(objdir)\patgen.res

DEFS = -I.. $(DEFS) -DHAVE_CONFIG_H

#
# Main target
#
all: $(objdir) $(programs)

#
# Link target. setargv.obj is provided in the compiler library directory.
#
$(objdir)\patgen.exe: $(objects) $(objdir)\main.obj $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

patgen.c patgen.h: patgen.p $(web2c_texmf)
	$(web2c) patgen

patgen.p: $(tangle) patgen.web patgen.ch
	$(tangle) patgen patgen

check: $(objdir)\patgen.exe
	.\$(objdir)\patgen ..\tests\dict ..\tests\patterns tests\xpatout \
	   ..\tests\translate <..\tests\patgen.in

!include <msvc/config.mak>
!include <msvc/install.mak>

clean:: 
#	$(LIBTOOL) --mode=clean $(del) patgen
	-@echo $(verbose) & ( \
		for %%i in ($(objdir)\patgen.obj patgen.c patgen.h patgen.p) do $(del) %%i $(redir_stderr) \
	)
	-@$(del) tests\xpatout pattmp.4 $(redir_stderr)

!include <msvc/clean.mak>
!include <msvc/rdepend.mak>
!include "./depend.mak"

# End of .mak
#
# Local Variables:
# mode: makefile
# End:
