################################################################################
#
# Makefile  : Web2C / pdftexdir
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/09/02 09:22:41 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

USE_GETURL = 1
USE_GNUW32 = 1
USE_JPEG = 1
USE_KPATHSEA = 1
USE_MD5 = 1
USE_PDF = 1
USE_PNG = 1
USE_TEXMFMP = 1
USE_XPDF = 1
USE_ZLIB = 1
MAKE_PDF = 1

!include <msvc/common.mak>

DEFS = -I.. -I../pdfetex -I../texmfmp -I$(top_srcdir) $(DEFS) -DMAKE_TEX_DLL -DHAVE_CONFIG_H -DpdfeTeX

objects = $(objdir)\avl.obj $(objdir)\avlstuff.obj $(objdir)\epdf.obj 	     \
	$(objdir)\mapfile.obj $(objdir)\utils.obj $(objdir)\vfpacket.obj     \
	$(objdir)\pkin.obj $(objdir)\writefont.obj $(objdir)\writet1.obj     \
	$(objdir)\writet3.obj $(objdir)\writezip.obj $(objdir)\writeenc.obj  \
	$(objdir)\writettf.obj $(objdir)\writejpg.obj $(objdir)\writepng.obj \
	$(objdir)\writeimg.obj \
	$(objdir)\pdftoepdf.obj

default: all

all: $(objdir) $(pdflib) # $(objdir)\libpdftoepdf.lib 

lib: $(objdir) $(pdflib)

#
# Beware: zlib is already linked into xpdf
#
# $(pdflib): $(objects) $(md5lib) $(jpeglib) $(pnglib) $(xpdflib) $(zliblib)
$(pdflib): $(objects)
	$(archive) $(**)

# $(objdir)\libpdftoepdf.lib: $(objdir)\pdftoepdf.obj $(xpdflib)
#	$(archive) $(objdir)\pdftoepdf.obj $(xpdflib)

# $(objdir)\pdftoepdf.obj: pdftoepdf.cc

ptexlib.h: ..\pdfetex\pdfetexd.h

..\pdfetex\pdfetexd.h:
	-@echo $(verbose) & ( \
		pushd ..\pdfetex & $(make) pdfetexd.h & popd \
	)

..\pdfetex\pdfetexextra.h:
	-@echo $(verbose) & ( \
		pushd ..\pdfetex & $(make) $@ & popd \
	)

!include <msvc/config.mak>
!include <msvc/install.mak>

!include <msvc/clean.mak>
!include <msvc/rdepend.mak>

!include "./depend.mak"

#
# Local Variables:
# mode: makefile
# End:
