/* The help messages for TeX & MF family of programs.

Copyright (C) 1995, 96 Karl Berry, 2001 O.Weber.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

#ifndef TEXMFMP_HELP
#define TEXMFMP_HELP

const_string PDFXTEXHELP[] = {
    "Usage: pdfxtex [OPTION]... [TEXNAME[.tex]] [COMMANDS]",
    "   or: pdfxtex [OPTION]... \\FIRST-LINE",
    "   or: pdfxtex [OPTION]... &FMT ARGS",
    "  Run pdfxTeX on TEXNAME, usually creating TEXNAME.pdf.",
    "  Any remaining COMMANDS are processed as pdfxTeX input, after TEXNAME is read.",
    "  If the first line of TEXNAME is %&FMT, and FMT is an existing .fmt file,",
    "  use it.  Else use `NAME.fmt', where NAME is the program invocation name,",
    "  most commonly `pdfxtex'.",
    "",
    "  Alternatively, if the first non-option argument begins with a backslash,",
    "  interpret all non-option arguments as a line of pdfxTeX input.",
    "",
    "  Alternatively, if the first non-option argument begins with a &, the",
    "  next word is taken as the FMT to read, overriding all else.  Any",
    "  remaining arguments are processed as above.",
    "",
    "  If no arguments or options are specified, prompt for input.",
    "",
    "-enc                    enable encTeX extensions such as \\mubyte",
    "[-no]-file-line-error   disable/enable file:line:error style messages",
    "-fmt=FMTNAM             use FMTNAME instead of program name or a %& line",
    "-halt-on-error          stop processing at the first error",
#ifdef HALT_ON_ERROR
    "-halt-on-error          stop at the first error",
#endif
    "-ini                    be pdfeinitex, for dumping formats; this is implicitly",
    "                          true if the program name is `pdfeinitex'",
    "-interaction=STRING     set interaction mode (STRING=batchmode/nonstopmode/",
    "                          scrollmode/errorstopmode)",
#ifdef IPC
    "-ipc                    send DVI output to a socket as well as the usual",
    "                          output file",
    "-ipc-start              as -ipc, and also start the server at the other end",
#endif /* IPC */
    "-jobname=STRING         set the job name to STRING",
#ifdef JOBTIME
    "-jobtime=FILENAME       set the job time by taking FILENAME's timestamp as the reference",
#endif
    "-kpathsea-debug=NUMBER  set path searching debugging flags according to",
    "                          the bits of NUMBER",
    "[-no]-mktex=FMT         disable/enable mktexFMT generation (FMT=tex/tfm)",
    "-mltex                  enable MLTeX extensions such as \\charsubdef",
#ifdef OEM
    "-oem                    use DOS codepage for console output.\n",
#endif
    "-output-comment=STRING  use STRING for DVI file comment instead of date",
    "                          (no effect for PDF)",
    "-output-directory=DIR   use DIR as the directory to write files to",
    "-output-format=FORMAT   use FORMAT for job output; FORMAT is `dvi' or `pdf'", 
    "[-no]-parse-first-line  disable/enable parsing of the first line of the",
    "                          input file",
    "-progname=STRING        set program (and fmt) name to STRING",
    "-recorder               enable filename recorder",
    "[-no]-shell-escape           disable/enable \\write18{SHELL COMMAND}",
    "-src-specials           insert source specials into the DVI file",
    "-src-specials=WHERE     insert source specials in certain places of",
    "                          the DVI file. WHERE is a comma-separated value",
    "                          list: cr display hbox math par parend vbox",
#ifdef TIME_STATS
    "-time-statistics        print processing time statistics about the current job",
#endif
    "-translate-file=TCXNAME use the TCX file TCXNAME",
    "-8bit                   make all characters printable by default",
    "-help                   display this help and exit",
    "-version                output version information and exit",
    NULL
};

#endif /* TEXMFMP_HELP */
