################################################################################
#
# Makefile  : 
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/09/17 12:21:54 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

# This is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License, see the file COPYING.

USE_GNUW32 = 1
USE_GETURL = 1
USE_KPATHSEA = 1
USE_TEXMFMP = 1
USE_TEX = 1
USE_PDF = 1
USE_JPEG = 1
USE_PNG = 1
USE_ZLIB = 1
USE_XPDF = 1
USE_MD5 = 1

!include <msvc/common.mak>

programs =  $(objdir)\pdfxtex.exe 
!ifdef TEX_DLL
programs = $(programs) $(objdir)\$(library_prefix)pdfxtex.dll
libfiles = $(objdir)\$(library_prefix)pdfxtex.lib
!endif
manfiles = pdfxtex.1
#
# Object files
#
# The C sources.
pdfxtex_c = pdfxtex.c
pdfxtex_o = $(objdir)\pdfxtex.obj

objects = $(objdir)\pdfxtex.obj

DEFS = -I.. $(DEFS) -DTEX_ENGINE -DHAVE_CONFIG_H # -DFOO -I../foo

#
# Main target
#
all: $(objdir) $(programs)

!ifdef TEX_DLL

$(objdir)\$(library_prefix)pdfxtex.exp: $(objdir)\$(library_prefix)pdfxtex.lib

$(objdir)\$(library_prefix)pdfxtex.lib: $(objects)
	$(archive) /DEF $(objects)

$(objdir)\$(library_prefix)pdfxtex.dll: $(objects) $(objdir)\$(library_prefix)pdfxtex.exp $(objdir)\pdfxtex.res $(pdflib) $(kpathsealib) $(texmfmplib) $(gnuw32lib) $(xpdflib) $(jpeglib) $(pnglib) $(zliblib) $(md5lib)
	$(link_dll) $(**) $(socketlibs) $(conlibs)

$(objdir)\pdfxtex.exe: $(objdir)\main.obj $(objdir)\$(library_prefix)pdfxtex.lib $(texmfmplib)
	$(link) $(**) $(conlibs)
!else
$(objdir)\pdfxtex.exe: $(objects) $(objdir)\main.obj $(objdir)\pdfxtex.res $(pdflib) $(kpathsealib) $(texmfmplib) $(gnuw32lib) $(xpdflib) $(jpeglib) $(pnglib) $(zliblib) $(md5lib)
	$(link) $(**) $(socketlibs) $(conlibs)
!endif

pdfxtex: $(pdfxtex)

# C file dependencies.
pdfxtex.c pdfxtexcoerce.h pdfxtexd.h: pdfxtex.p $(web2c_texmf) pdfxtexextra.h
	$(web2c) pdfxtex

# Tangling
pdfxtex.p pdfxtex.pool: $(tangle) pdfxtex.web pdfxtex.ch
	$(tangle) pdfxtex.web pdfxtex.ch

pdfxtex_files = \
	 ..\tex\tex.web \
	 ..\etex\etex.ch \
	 ..\etex\etex.fix \
         ..\pdfetex\pdfetex.ch1 \
         ..\pdftex\pdftex.ch \
         ..\pdftex\hz.ch \
         ..\pdftex\misc.ch \
         ..\pdftex\vadjust.ch \
         ..\pdfxtex\strcmp.ch \
         ..\pdfetex\pdfetex.ch2 \
         ..\pdfxtex\pdfxtex.ch2

pdfxtex_changefiles = \
	    ..\pdfxtex\tex.ch0 \
	    ..\tex\tex.ch \
#	    ..\tex\tex-supp-w32.ch \
	    ..\etex\tex.ch1 \
	    ..\etex\tex.ech \
	    ..\pdfxtex\tex.ch1 \
	    ..\pdftex\tex.pch

# Generation of the web and ch files.
pdfxtex.web: $(tie) $(pdfxtex_files) \
	pdfxtex.h pdfxtex.defines # pdfxtexdir\pdfxtex.mak
	$(tie) -m pdfxtex.web $(pdfxtex_files)

pdfxtex.ch: $(tie) pdfxtex.web $(pdfxtex_changefiles) # pdfxtexdir/pdfxtex.mak
	$(tie) -c pdfxtex.ch pdfxtex.web $(pdfxtex_changefiles)

pdfxtex.h: ..\pdftex\pdftex.h
	-@$(del) $(@) $(redir_stderr)
	$(copy) $(**) $(@)

pdfxtex.defines: ..\pdftex\pdftex.defines
	-@$(del) $(@) $(redir_stderr)
	$(copy) $(**) $(@)

pdfxtexextra.h: pdfxtexextra.in
	$(perl) $(win32perldir)\configure-version.pl $(**) $@

pdfxtex.rc: pdfxtex.rc.in
	$(perl) $(win32perldir)\configure-version.pl $(**) $@

# 

!include <msvc/config.mak>
!include <msvc/install.mak>

# Installation.
install::
	@$(copy) pdfxtex.pool "$(texpooldir)\pdfxtex.pool" $(redir_stdout)

clean::
	-@echo $(verbose) & ( \
		for %%i in ($(objects) pdfxtex.c pdfxtexextra.c pdfxtexcoerce.h \
			    pdfxtexd.h pdfxtex.p pdfxtex.pool pdfxtex.web pdfxtex.ch \
			    pdfxtex.efmt pdfxtex.log pdfxtexextra.h pdfxtex.rc) do \
				$(del) %%i $(redir_stderr) \
	)

!include <msvc/clean.mak>
!include <msvc/rdepend.mak>
!include "./depend.mak"

# End of .mak
#
# Local Variables:
# mode: makefile
# End:
