################################################################################
#
# Makefile  : Bbox
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/11/16 17:05:25 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

USE_GNUW32 = 1

!include <msvc/common.mak>

programs = $(objdir)\bbox.exe
manfiles = bbox.1 ps2eps.1
infofiles = 
installinfoflags = 

objects= $(objdir)\bbox.obj

perlscripts = \
	"$(texmf)\scripts\ps2eps\ps2eps.pl" \

default: all

all: $(objdir) $(programs)

$(objdir)\bbox.exe: $(objdir)\bbox.obj
	$(link) $(**) $(conlibs)

"$(texmf)\scripts\ps2eps\ps2eps.pl": ps2eps.pl
	$(copy) ps2eps.pl $@ $(redir_stderr)

installdirs = $(installdirs) "$(texmf)\scripts\ps2eps"

!include <msvc/config.mak>
!include <msvc/install.mak>

install:: install-exec install-man

!ifndef STANDALONE
install-exec:: $(perlscripts)
	-@echo $(verbose) & ( \
		if not "$(perlscripts:"=)"=="" ( \
			for %%s in ($(perlscripts)) do \
				$(perlcomp) $(perlcompflags) %%s >> $(win32perldir)\perlfiles.lst \
				& $(runperl) -f %%~nxs "$(bindir)\%%~ns.exe" $(redir_stderr) \
		) \
	)
#"
!endif

!include <msvc/clean.mak>

!include <msvc/rdepend.mak>
!include "./depend.mak"

#
# Local Variables:
# mode: makefile
# End: