/* main.c -- the main program for everything but TeX & MF.  */
/* Public domain. */

#include "config.h"


/* These variables are referenced from the change files.  */
extern TEXMFMPDLL char **argv;
extern TEXMFMPDLL int argc;

/* The entry point for all the programs except TeX and Metafont, which
   have more to do.  We just have to set up the command line.  web2c
   transforms Pascal's main block into a procedure `main_body'.  */

int main P2C(int, ac,  string *, av)
{
#ifdef __EMX__
  _wildcard (&ac, &av);
  _response (&ac, &av);
#endif

#if defined(WIN32)
  extern TEXDLL void mainbody P1H(void);
  extern TEXDLL void maininit P2H(int, string *);
  /* if _DEBUG is not defined, these macros will result in nothing. */
  SETUP_CRTDBG;
  /* Set the debug-heap flag so that freed blocks are kept on the
     linked list, to catch any inadvertent use of freed memory */
  SET_CRT_DEBUG_FIELD( _CRTDBG_DELAY_FREE_MEM_DF );

#ifdef WIN32
  /* Bad fix to the problem that pdftex keeps files open */
  _setmaxstdio(2048);
#endif

# ifdef TEX_ENGINE
  maininit(ac, av);

  texmfstartjob();
  atexit(texmffinishjob);

# else
  argc = ac;
  argv = av;
# endif
#else
  extern void mainbody P1H(void);
  argc = ac;
  argv = av;
#endif

  /* Call the real main program.  */
  mainbody ();

  return EXIT_SUCCESS;
}


