################################################################################
#
# Makefile  : Web2C / library
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/09/02 00:31:15 popineau>
#
################################################################################
root_srcdir=..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

USE_KPATHSEA = 1
USE_GNUW32 = 1
USE_TEXMFMP = 1
MAKE_TEXMFMP = 1

!include <msvc/common.mak>

DEFS = -I. -I.. $(DEFS) -DMAKE_TEX_DLL -DHAVE_CONFIG_H

# We don't make `texmfmp.o', since TeX, Metafont, and MetaPost need to
# use different routine names, hence they need different .o files. Maybe
# we should change this via #define's someday ...
objects = \
	$(objdir)\basechsuffix.obj	\
	$(objdir)\chartostring.obj	\
	$(objdir)\cmdline.obj		\
	$(objdir)\coredump.obj		\
	$(objdir)\eofeoln.obj		\
	$(objdir)\fprintreal.obj	\
	$(objdir)\input2int.obj		\
	$(objdir)\inputint.obj		\
	$(objdir)\job.obj		\
	$(objdir)\oem.obj		\
	$(objdir)\openclose.obj		\
	$(objdir)\printversion.obj	\
	$(objdir)\uexit.obj		\
	$(objdir)\usage.obj		\
	$(objdir)\version.obj		\
	$(objdir)\zround.obj
programs = $(texmfmpdll)
libfiles = $(texmfmplib)

default: all

all: $(objdir) $(texmfmp)

lib: $(objdir) $(texmfmplib)

!ifdef TEXMFMP_DLL

DEFS = $(DEFS) -DMAKE_TEXMFMP_DLL

$(texmfmplib): $(objects)
	$(archive) /DEF $(objects)

$(texmfmpdll): $(objects) $(objdir)\texmfmp.res $(geturllib)  $(kpathsealib) $(gnuw32lib) # $(mktexlib)
	$(link_dll) $(**) $(texmfmplib:.lib=.exp) $(conlibs)
!else
# $(texmfmplib): $(objects) # $(geturllib) # $(mktexlib)
$(texmfmplib): $(objects)
	$(archive) $(**)
!endif

../texmfmp/c-auto.h: c-auto.in
	$(perl) $(win32perldir)/configure-cauto.pl c-auto.in $(@)

!include <msvc/config.mak>
!include <msvc/install.mak>

install:: install-exec

!include <msvc/clean.mak>
!include <msvc/rdepend.mak>
!include "./depend.mak"

# Local Variables:
# mode: Makefile
# End:
