################################################################################
#
# Makefile  : 
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/09/17 12:22:54 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

# This is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License, see the file COPYING.

USE_GNUW32 = 1
USE_GETURL = 1
USE_KPATHSEA = 1
USE_TEXMFMP = 1

!include <msvc/common.mak>

programs =  $(objdir)\dvitype.exe \
	$(objdir)\pltotf.exe	\
	$(objdir)\tftopl.exe	\
	$(objdir)\pooltype.exe

scripts =
libfiles =
includefiles =
manfiles = dvitype.1 pltotf.1 tftopl.1 pooltype.1
infofiles =
#
# Object files
#
objects = \
	$(objdir)\dvitype.obj $(objdir)\dvitype.res \
	$(objdir)\pltotf.obj $(objdir)\pltotf.res \
	$(objdir)\tftopl.obj $(objdir)\tftopl.res \
	$(objdir)\pooltype.obj $(objdir)\pooltype.res

DEFS = -I.. $(DEFS) -DHAVE_CONFIG_H

#
# Main target
#
all: $(objdir) $(programs)

$(objdir)\dvitype.exe: $(objdir)\main.obj $(objdir)\dvitype.obj $(objdir)\dvitype.res $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)
dvitype.c dvitype.h: $(web2c_common) $(web2c_programs) dvitype.p
	$(web2c) dvitype
dvitype.p: $(tangle) dvitype.web dvitype.ch
	$(tangle) dvitype dvitype


$(objdir)\pltotf.exe: $(objdir)\main.obj $(objdir)\pltotf.obj $(objdir)\pltotf.res $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)
pltotf.c pltotf.h: pltotf.p $(web2c_texmf)
	$(web2c) pltotf
pltotf.p: $(tangle) pltotf.web pltotf.ch
	$(tangle) pltotf pltotf

$(objdir)\tftopl.exe: $(objdir)\main.obj $(objdir)\tftopl.obj $(objdir)\tftopl.res $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)
tftopl.c tftopl.h: tftopl.p $(web2c_texmf)
	$(web2c) tftopl
tftopl.p: $(tangle) tftopl.web tftopl.ch
	$(tangle) tftopl tftopl

$(objdir)\pooltype.exe: $(objdir)\main.obj $(objdir)\pooltype.obj $(objdir)\pooltype.res $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)
pooltype.c pooltype.h: pooltype.p $(web2c_texmf)
	$(web2c) pooltype
pooltype.p: $(tangle) pooltype.web pooltype.ch
	$(tangle) pooltype pooltype


check: dvitype-check pltotf-check tftopl-check pooltype-check

dvitype-check: $(objdir)\dvitype.exe
	.\$(objdir)\dvitype -show-opcodes ..\tests\story >..\tests\xstory.dvityp
	.\$(objdir)\dvitype -p=*.*.2 ..\tests\pagenum.dvi >..\tests\xpagenum.typ

pltotf-check: $(objdir)\pltotf.exe
	.\$(objdir)\pltotf -verbose ..\tests\cmr10 ..\tests\xcmr10

tftopl-check: $(objdir)\tftopl.exe
	.\$(objdir)\tftopl -verbose ..\tests\cmr10 ..\tests\xcmr10

pooltype-check: tex.pool
	pushd ..\tex & $(make) tex.pool & popd

pooltype-check: $(objdir)\pooltype.exe
	.\$(objdir)\pooltype ..\tex.pool >..\tests\xtexpool.typ

!include <msvc/config.mak>
!include <msvc/install.mak>
clean::
	-@echo $(verbose) & ( \
		for %%i in ($(objdir)\dvitype.obj dvitype.c dvitype.h dvitype.p \
                            $(objdir)\pltotf.obj pltotf.c pltotf.h pltotf.p \
			    $(objdir)\tftopl.obj tftopl.c tftopl.h tftopl.p \
			    $(objdir)\pooltype.obj pooltype.c pooltype.h pooltype.p) do $(del) %%i $(redir_stderr) \
	)
	-@$(del) ..\tests\xstory.dvityp ..\tests\xpagenum.typ $(redir_stderr)
	-@$(del) ..\tests\xcmr10.tfm $(redir_stderr)
	-@$(del) ..\tests\xcmr10.pl $(redir_stderr)
	-@$(del) ..\tests\xtexpool.typ $(redir_stderr)

!include <msvc/clean.mak>
!include <msvc/rdepend.mak>
!include "./depend.mak"

# End of .mak
#
# Local Variables:
# mode: makefile
# End:
