################################################################################
#
# Makefile  : Web2C / Web2C converter
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/09/21 11:15:20 popineau>
#
################################################################################
root_srcdir = ..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

USE_GNUW32 = 1
USE_GETURL = 1
USE_KPATHSEA = 1
USE_TEXMFMP = 1

!include <msvc/common.mak>

LEX_OUTPUT_ROOT = lex_yy

DEFS = -I.. $(DEFS) -DYYTEXT_POINTER -DHAVE_CONFIG_H -DOEM

#
# We don't want them to be installed
#
targets = \
	$(objdir)\web2c.exe	\
	$(objdir)\fixwrites.exe	\

programs =

web2c_objects = \
	$(objdir)\y_tab.obj			\
	$(objdir)\$(LEX_OUTPUT_ROOT).obj	\
	$(objdir)\web2c_main.obj

default: all

all: $(objdir) $(programs) $(targets)

$(objdir)\web2c.exe: $(web2c_objects) $(objdir)\web2c.res $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs) 

# We use y_tab.* for the sake of MS-DOS.
$(objdir)\web2c_main.obj: web2c_main.c y_tab.h

y_tab.c y_tab.h: web2c.y
	@echo Expect one shift/reduce conflict.
#	@set BISON_SIMPLE=$(gnushare)/bison.simple
	$(yacc) -d -v web2c.y -o y_tab.c

$(objdir)\$(LEX_OUTPUT_ROOT).obj: y_tab.h

$(LEX_OUTPUT_ROOT).c: web2c.l
	$(lex) -t web2c.l | $(sed) "/^extern int isatty YY/d" > $(LEX_OUTPUT_ROOT).c

$(objdir)\fixwrites.exe: $(objdir)\fixwrites.obj $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

$(objdir)\splitup.exe: $(objdir)\splitup.obj $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

$(objdir)\regfix.exe: $(objdir)\regfix.obj $(kpathsealib) $(texmfmplib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

!include <msvc/config.mak>
!include <msvc/install.mak>

!include <msvc/clean.mak>

clean::
	-@echo $(verbose) & ( \
		for %%i in (y_tab.c y_tab.h y.output yacc.* $(LEX_OUTPUT_ROOT).c) do $(del) %%i $(redir_stderr) \
	)

!include <msvc/rdepend.mak>
!include "./depend.mak"

# Local Variables:
# mode: Makefile
# End:
