################################################################################
#
# Makefile  : TeXk / XeMTeX
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <04/11/04 14:14:51 popineau>
#
################################################################################
root_srcdir=..\..
INCLUDE=$(INCLUDE);$(root_srcdir)

USE_KPATHSEA=1
USE_MKTEX=1
MAKE_MKTEX = 1
USE_REGEX=1
USE_GNUW32=1

# FIXME: delay load kpathsea for irun !!!

!include <msvc/common.mak>

#{"$(texmfdist)"\tex\context\perl}.pl{$(objdir)}.exe:
#	$(perlcomp) $(perlcompflags) $<

#{"$(texmfdist:-development=)"\tex\context\perl}.pl{$(objdir)}.exe:
#	$(perlcomp) $(perlcompflags) $<

#{}.{$(objdir)}.exe:
#	$(perlcomp) $(perlcompflags) $<


DEFS = $(DEFS) -DHAVE_CONFIG_H -DKPATHSEA_DLL=\"$(kpathseaname).dll\"

mktex_objs = $(objdir)\fileutils.obj	\
	$(objdir)\mktex.obj		\
	$(objdir)\variables.obj 	\
	$(objdir)\stackenv.obj

docsubdir = latex\base
infofiles = latex2e.info
htmldocfiles = latex2e.html
pdfdocfiles = latex2e.pdf

!ifdef XEMTEX

programs = \
	$(mktexdll)			\
	$(objdir)\mktexlsr.exe	\
	$(objdir)\mktexnam.exe		\
	$(objdir)\mktexupd.exe		\
	$(objdir)\mktexpk.exe		\
	$(objdir)\mktexdir.exe		\
	$(objdir)\mktexmf.exe		\
	$(objdir)\mktextfm.exe		\
	$(objdir)\mktexfmt.exe		\
	$(objdir)\makempx.exe		\
	$(objdir)\mktex.exe		\
	$(objdir)\fmtutil.exe		\
	$(objdir)\irun.exe		\
	$(objdir)\texhash.exe		\
	$(objdir)\pdfdde.exe		\
	$(objdir)\pdfopen.exe		\
	$(objdir)\pdfclose.exe

scripts = \

perlscripts = \
	"$(texmf)\scripts\pkfix\pkfix.pl" \
	"$(texmf)\scripts\tetex\epstopdf.pl" \
	"$(texmf)\scripts\tetex\thumbpdf.pl" \
	"$(texmf)\scripts\tetex\updmap.pl" \
	"$(texmfdist)\scripts\oberdiek\vpe.pl"

javascripts = \
	pdfthumb \
	ppower4

manfiles = \
	epstopdf.$(manext) \
	texexec.$(manext) \
	texshow.$(manext) \
	texutil.$(manext) \
	thumbpdf.$(manext) \
	updmap.$(manext) \
	fmtutil.8 \
	fmtutil.cnf.5 

!else

programs = \
	$(mktexdll)			\
	$(objdir)\mktexlsr.exe	\
	$(objdir)\mktexnam.exe		\
	$(objdir)\mktexupd.exe		\
	$(objdir)\mktexpk.exe		\
	$(objdir)\mktexdir.exe		\
	$(objdir)\mktexmf.exe		\
	$(objdir)\mktextfm.exe		\
	$(objdir)\mktexfmt.exe		\
	$(objdir)\dvihp.exe		\
	$(objdir)\makempx.exe		\
	$(objdir)\mktex.exe		\
	$(objdir)\fmtutil.exe		\
	$(objdir)\mkocp.exe		\
	$(objdir)\mkofm.exe		\
	$(objdir)\irun.exe		\
	$(objdir)\texhash.exe		\
	$(objdir)\pdfdde.exe		\
	$(objdir)\pdfopen.exe		\
	$(objdir)\pdfclose.exe

scripts = \
	fontinst.bat \
#	cont-de.bat \
#	cont-en.bat \
#	cont-nl.bat \
#	cont-uk.bat \
#	cont-cz.bat \
#	cont-ro.bat \
#	cslatex.bat \
	cslatexd.bat \
	cslatexi.bat \
	cslatexk.bat \
#	csplain.bat \
	csplaind.bat \
	csplaini.bat \
	csplaink.bat \
	mex-pl.bat \
	pdfmex-pl.bat \
#	pdfcslatex.bat \
	pdfcslatexd.bat \
	pdfcslatexi.bat \
	pdfcslatexk.bat \
#	pdfcsplain.bat \
	pdfcsplaind.bat \
	pdfcsplaini.bat \
	pdfcsplaink.bat \
	platex-pl.bat \
	pdfplatex-pl.bat

#
#
perlscripts = \
	"$(texmf)\scripts\pkfix\pkfix.pl" \
	"$(texmf)\scripts\tetex\e2pall.pl" \
	"$(texmf)\scripts\tetex\epstopdf.pl" \
	"$(texmf)\scripts\tetex\texi2html.pl" \
	"$(texmf)\scripts\tetex\thumbpdf.pl" \
	"$(texmf)\scripts\tetex\updmap.pl" \
	"$(texmfdist)\scripts\oberdiek\vpe.pl"

javascripts = \
	pdfthumb \
	ppower4

manfiles = \
	e2pall.$(manext) \
	epstopdf.$(manext) \
	fontinst.$(manext) \
	texexec.$(manext) \
	texi2html.$(manext) \
#	texi2pdf.$(manext) \
	texshow.$(manext) \
	texutil.$(manext) \
	thumbpdf.$(manext) \
	updmap.$(manext) \
	fmtutil.8 \
	fmtutil.cnf.5 

!endif

!ifdef STANDALONE

programs = \
	$(mktexdll)			\
	$(objdir)\mktexlsr.exe	\
	$(objdir)\mktexnam.exe		\
	$(objdir)\mktexupd.exe		\
	$(objdir)\mktexpk.exe		\
	$(objdir)\mktexdir.exe		\
	$(objdir)\mktexmf.exe		\
	$(objdir)\mktextfm.exe		\
	$(objdir)\mktexfmt.exe		\
#	$(objdir)\dvihp.exe		\
#	$(objdir)\makempx.exe		\
	$(objdir)\mktex.exe		\
	$(objdir)\fmtutil.exe		\
	$(objdir)\mkocp.exe		\
	$(objdir)\mkofm.exe		\
	$(objdir)\irun.exe		\
	$(objdir)\texhash.exe		\
#	$(objdir)\pdfdde.exe		\
#	$(objdir)\pdfopen.exe		\
#	$(objdir)\pdfclose.exe

scripts = 
!endif

libfiles = $(mktexlib)

default: all

all: $(objdir) $(mktex) $(programs)

lib: $(objdir) $(mktexlib)

!ifdef MKTEX_DLL
DEFS = -DMAKE_MKTEX_DLL $(DEFS) 

$(mktexlib): $(mktex_objs) 
	$(archive) /DEF $(mktex_objs)

$(mktexdll): $(mktex_objs) $(objdir)\libmktex.res $(regexlib) $(kpathsealib) $(gnuw32lib)
	$(link_dll) $(**) $(mktexlib:.lib=.exp) $(conlibs)
!else
$(mktexlib): $(mktex_objs) $(regexlib)
	$(archive) $(**)
!endif

$(objdir)\mktexlsr.exe: $(objdir)\mktex.exe
	@$(copy) $(**) $(@)

$(objdir)\mktexmf.exe: $(objdir)\mktex.exe
	@$(copy) $(**) $(@)

$(objdir)\mktextfm.exe: $(objdir)\mktex.exe
	@$(copy) $(**) $(@)

$(objdir)\mktexpk.exe: $(objdir)\mktex.exe
	@$(copy) $(**) $(@)

$(objdir)\mktexnam.exe: $(objdir)\mktex.exe
	@$(copy) $(**) $(@)

$(objdir)\mktexupd.exe: $(objdir)\mktex.exe
	@$(copy) $(**) $(@)

$(objdir)\mktexdir.exe: $(objdir)\mktex.exe
	@$(copy) $(**) $(@)

$(objdir)\texhash.exe: $(objdir)\mktex.exe
	@$(copy) $(**) $(@)

$(objdir)\mktexfmt.exe: $(objdir)\fmtutil.exe
	@$(copy) $(**) $(@)

$(objdir)\pdfopen.exe: $(objdir)\pdfdde.exe
	@$(copy) $(**) $(@)

$(objdir)\pdfclose.exe: $(objdir)\pdfdde.exe
	@$(copy) $(**) $(@)

$(objdir)\makempx.exe: $(objdir)\makempx.obj $(mktexlib) $(objdir)\makempx.res $(kpathsealib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

$(objdir)\fmtutil.exe: $(objdir)\fmtutil.obj $(mktexlib) $(kpathsealib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

$(objdir)\dvihp.exe: $(objdir)\dvihp.obj $(mktexlib) $(objdir)\dvihp.res $(kpathsealib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

$(objdir)\mktex.exe: $(objdir)\main.obj $(mktexlib) $(kpathsealib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

$(objdir)\mkocp.exe: $(objdir)\mkocp.obj $(mktexlib) $(kpathsealib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

$(objdir)\mkofm.exe: $(objdir)\mkofm.obj $(gnuw32lib)
	$(link) $(**) $(conlibs)

$(objdir)\makempx.obj:	makempx.c
	$(compile) -UMAKE_MKTEX_DLL makempx.c

$(objdir)\fmtutil.obj:	fmtutil.c
	$(compile) -UMAKE_MKTEX_DLL fmtutil.c

$(objdir)\main.obj: main.c
	$(compile) -UMAKE_MKTEX_DLL main.c

$(objdir)\dvihp.obj: dvihp.c
	$(compile) -UMAKE_MKTEX_DLL dvihp.c

$(objdir)\mkocp.obj: mkocp.c
	$(compile) -UMAKE_MKTEX_DLL mkocp.c

$(objdir)\mkofm.obj: mkofm.c
	$(compile) -UKPSE_DLL -UMAKE_MKTEX_DLL mkofm.c

$(objdir)\irun-tmp.obj: $(srcdir)\irun.c 
	echo define RDATA 0x3D000 | sed "s/define/#define/" > $(srcdir)\irun.h
	$(compile) $(srcdir)\irun.c

$(objdir)\irun-tmp.exe: $(objdir)\irun-tmp.obj  $(kpathsealib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

$(objdir)\irun.obj: $(srcdir)\irun.c $(objdir)\irun-tmp.exe
	dumpbin /headers $(objdir)\irun-tmp.exe \
	| sed -n -e "/^[ \t]*FOOBAR/,/^[ \t]*FOOBAR/p" \
	| sed -n -e "/file pointer/p" \
	| sed -e "/raw data/s/^[ \t]*\([0-9A-Z]*\).*$$/#define RDATA 0x\1/" \
	| sed -e "/file pointer/d" \
	> $(srcdir)\irun.h
	$(compile) $(srcdir)\irun.c
#	-$(RM) $(objdir)\irun-tmp.*

$(objdir)\irun.exe: $(objdir)\irun.obj $(objdir)\irun.res $(kpathsealib) $(gnuw32lib)
	$(link) $(**) $(conlibs)

$(objdir)\pdfdde.exe: $(objdir)\pdfdde.obj $(gnuw32lib)
	$(link) $(**) $(conlibs) shell32.lib

$(objdir)\pdfdde.obj: pdfdde.c
	$(compile) -UKPSE_DLL pdfdde.c

"$(texmf)\scripts\tetex\e2pall.pl": e2pall.pl
	@$(copy) $(**) $(@) $(redir_stdout)

"$(texmf)\scripts\tetex\epstopdf.pl": epstopdf.pl
	@$(copy) $(**) $(@) $(redir_stdout)

"$(texmf)\scripts\tetex\texi2html.pl": texi2html.pl
	@$(copy) $(**) $(@) $(redir_stdout)

"$(texmf)\scripts\tetex\thumbpdf.pl": thumbpdf.pl
	@$(copy) $(**) $(@) $(redir_stdout)

"$(texmf)\scripts\tetex\updmap.pl": updmap.pl
	@$(copy) $(**) $(@) $(redir_stdout)

!include <msvc/config.mak>

!include <msvc/install.mak>

install:: install-exec install-data

!ifndef STANDALONE
install-exec:: $(perlscripts)
	-@echo $(verbose) & ( \
		if not "$(perlscripts:"=)"=="" ( \
			for %%s in ($(perlscripts)) do \
				$(perlcomp) $(perlcompflags) %%s >> $(win32perldir)\perlfiles.lst \
				& $(runperl) -f %%~nxs "$(bindir)\%%~ns.exe" $(redir_stderr) \
		) \
	)
#"
install-exec::
	-@echo $(verbose) & ( \
#		$(copy) $(srcdir)\%%s $(texmfscriptdir)\%%~nxs $(redir_stdout) \
		$(runperl) -f pp4p.jar "$(bindir)\ppower4.exe" de.tu_darmstadt.sp.pp4.PPower4 \
		& $(runperl) -f pp4p.jar "$(bindir)\pdfthumb.exe" de.tu_darmstadt.sp.pdftools.ThumbGen \
	)

install-exec::
	-@echo $(verbose) & ( \
		for %%s in ($(texprogs)) do \
			$(del) "$(bindir)\%%s" \
			& pushd "$(bindir)" & $(lnexe) .\tex.exe "$(bindir)\%%s" $(redir_stdout) \
	)

install-exec::
	-@echo $(verbose) & ( \
		for %%s in ($(etexprogs)) do \
			$(del) "$(bindir)\%%s" \
			& pushd "$(bindir)" & $(lnexe) .\etex.exe "$(bindir)\%%s" $(redir_stdout) \
	)

install-exec::
	-@echo $(verbose) & ( \
		for %%s in ($(pdftexprogs)) do \
			$(del) "$(bindir)\%%s" \
			& pushd "$(bindir)" & $(lnexe) .\pdftex.exe "$(bindir)\%%s" $(redir_stdout) \
	)

install-exec::
	-@echo $(verbose) & ( \
		for %%s in ($(pdfetexprogs)) do \
			$(del) "$(bindir)\%%s" \
			& pushd "$(bindir)" & $(lnexe) .\pdfetex.exe "$(bindir)\%%s" $(redir_stdout) \
	)

install-exec::
	-@echo $(verbose) & ( \
		for %%s in ($(mfprogs)) do \
			$(del) "$(bindir)\%%s" \
			& pushd "$(bindir)" & $(lnexe) .\mf.exe "$(bindir)\%%s" $(redir_stdout) \
	)

install-exec::
	-@echo $(verbose) & ( \
		for %%s in ($(mpostprogs)) do \
			$(del) "$(bindir)\%%s" \
			& pushd "$(bindir)" & $(lnexe) .\mpost.exe "$(bindir)\%%s" $(redir_stdout) \
	)

install-exec::
	-@echo $(verbose) & ( \
		for %%s in ($(alephprogs)) do \
			$(del) "$(bindir)\%%s" \
			& pushd "$(bindir)" & $(lnexe) .\aleph.exe "$(bindir)\%%s" $(redir_stdout) \
	)

# install-exec::
#	-@echo $(verbose) & if NOT "$(scripts)"=="" for %%s in ($(scripts)) do \
#	  $(copy) $(srcdir)\%%s "$(scriptdir)\%%s" $(redir_stdout)

!endif

!ifdef XEMTEX

install-data::
	@$(copy) texmf.cnf.xemtex "$(texmf)\web2c\texmf.cnf" $(redir_stdout)
	@$(copy) fmtutil.cnf.xemtex "$(texmf)\web2c\fmtutil.cnf" $(redir_stdout)
	@$(copy) updmap.cfg.xemtex "$(texmf)\web2c\updmap.cfg" $(redir_stdout)
	@$(copy) language.dat.xemtex "$(texmf)\tex\generic\config\language.dat" $(redir_stdout)
# copying missing (non-free) packages
#	@$(copydir) texmf "$(texmf)" $(redir_stdout)

!else

texmf.cnf.texlive: $(masterdir)\texmf\web2c\texmf.cnf
#	@$(copy) $(**) $(@) $(redir_stdout)
	@echo "Warning: there is a newer copy of texmf.cnf in the Master tree!!!

fmtutil.cnf.texlive: $(masterdir)\texmf\web2c\fmtutil.cnf
#	@$(copy) $(**) $(@) $(redir_stdout)
	@echo "Warning: there is a newer copy of fmtutil.cnf in the Master tree!!!

install-data::
	@$(copy) texmf.cnf.texlive "$(texmf)\web2c\texmf.cnf" $(redir_stdout)
	@$(copy) fmtutil.cnf.texlive "$(texmf)\web2c\fmtutil.cnf" $(redir_stdout)
	@$(copy) updmap.cfg.texlive "$(texmf)\web2c\updmap.cfg" $(redir_stdout)
	@$(copy) language.dat.texlive "$(texmf)\tex\generic\config\language.dat" $(redir_stdout)

!endif

!include <msvc/clean.mak>

!include <msvc/rdepend.mak>
!include "./depend.mak"

#Local Variables:
#mode: Makefile
#End:
